<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

class HTML {
	
	function form($object=null) {
		$title = $object->title;
		$text = $object->text;
		AppleSetPath(__('Edit Home Page'));
		?>
		<form action="?com=home_page&lng=<?php echo LANGUAGE; ?>" method="POST">
		<table width="100%" border="0">
		<tr>
		<td valign="top">
		<table border="0" width="100%">
		<tr>
		<td><?php _e('Title'); ?> :</td><td> <input type="text" class="input" name="title" style="width:98%; height:25px;" value="<?php echo $title; ?>"></td>
		</tr>
		<tr>
		<td><?php _e('Text'); ?> :</td>
		<td>
		<!-- TinyMCE -->
		<script type="text/javascript" src="../kernel/js/tiny_mce/tiny_mce.js"></script>
		<script type="text/javascript">
		tinyMCE.init({
		// General options
		 mode : "specific_textareas",
		theme : "advanced",
		plugins : "safari,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,xhtmlxtras",
		force_br_newlines : "true",
        force_p_newlines : "false",
		directionality : "rtl",

		// Theme options
		theme_advanced_buttons1 : "styleselect,formatselect,fontselect,fontsizeselect,|,justifyleft,justifycenter,justifyright,justifyfull,|,bold,italic,underline,strikethrough",
		theme_advanced_buttons2 : "search,replace,|,bullist,numlist,|,undo,redo,|,link,unlink,anchor,image,|,forecolor,backcolor,|,charmap,emotions,iespell,media,blockquote",
		theme_advanced_buttons3 : "tablecontrols,|,hr,visualaid,|,sub,sup,|,ltr,rtl,|,styleprops,|,pagebreak,|,code,preview,help",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		theme_advanced_statusbar_location : "bottom",
		theme_advanced_resizing : true,
		theme_advanced_resize_horizontal : false,

		
		document_base_url: "<?php echo settings::get('url'); ?>/",
		content_css : "admin/themes/default/css/style.css",

		// Replace values for the template plugin
		template_replace_values : {
			username : "Some User",
			staffid : "991234"
		}
		});
		</script>
		<!-- /TinyMCE -->
			<!-- Gets replaced with TinyMCE, remember HTML in a textarea should be encoded -->
			<textarea id="text" name="text" rows="15" cols="40" style="width:98%;"><?php echo $text; ?></textarea>
		</td>
		</tr>
		<tr><td></td><td><br>
		<?php echo AppleHTML::makeSubmitButton('save', 'value="'.__('Save').'"'); ?>
		<?php echo AppleHTML::makeResetButton('id="cancel"'); ?>
		<?php echo AppleHTML::makeButton(__('Cancel'), 'id="delete" onclick="document.location.href=\'?lng='.LANGUAGE.'\'"'); ?>
		</td></tr>
		</table>
		</td>
		</tr>
		</table>
		</form>
		<?php
	}
}
?>