<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

$task = AppleGetParam('task', $_GET, 'list');

$Apple = new modules();

switch ($task) {
	case 'copy':
		$Apple->copyModule();
		$page = intval(AppleGetParam('page', $_GET, 1));
		AppleRedirect('?com=modules&page='.$page.'&lng='.LANGUAGE);
		break;
	case 'edit':
		if (!$_POST) {
			list($module, $positions, $pages) = $Apple->form();
			HTML::form($module, $positions, $pages);
		}
		else {
			if ($Apple->save($task)) AppleRedirect('?com=modules&lng='.LANGUAGE);
			else {
				list($module, $positions, $pages) = $Apple->form();
				HTML::form($module, $positions, $pages);
			}
		}
		break;
	case 'delete':
		$Apple->delete();
		if (!AppleAjaxRequest()) AppleGoBack();
		break;
	case 'publish':
		$Apple->publish(1);
		view($Apple);
		break;
	case 'unpublish':
		$Apple->publish(0);
		view($Apple);
		break;
	case 'reorder':
		$Apple->reOrder();
		if (!AppleAjaxRequest()) AppleGoBack();
		break;
	default: view($Apple);
}

function view($Apple) {
	list($list, $pageNav) = $Apple->view();
	$display = new HTML();
	$display->view($list, $pageNav);
}
?>