
function completed(element, message) {
	if (message == null) var message = ajax.transport.responseText;
	Element.update(element, message);
}

function go(url, id) {
	ajax = new AppleAjax(url, id);
	ajax.method = 'get';
	ajax.onLoading = $(id).innerHTML = contactL10n.loading;
	ajax.onComplete = function() {completed(id);}
	ajax.request(ajax.url);
}

function contact(url, element) {
	ajax = new AppleAjax(url, element);
	var name = $('name').value;
	var email = $('email').value;
	var subject = $('subject').value;
	var message = $('message').value;
	var code = $('code').value;
	
	if(name == '') {
		completed(element, showError(contactL10n.errorName));
		return;
	}
	if(!AppleEmailValidation(email)) {
		completed(element, showError(contactL10n.errorEmail));
		return;
	}
	if(subject == '') {
		completed(element, showError(contactL10n.errorSubject));
		return;
	}
	if(message == '') {
		completed(element, showError(contactL10n.errorMessage));
		return;
	}
	if(code == '') {
		completed(element, showError(contactL10n.errorCode));
		return;
	}
	
	ajax.addParam('name', name, false);
	ajax.addParam('email', email, false);
	ajax.addParam('subject', subject, false);
	ajax.addParam('message', message, false);
	ajax.addParam('code', code, false);
	
	//ajax.onLoading = $(element).innerHTML = contactL10n.loading;
	ajax.onComplete = function() {completed(element);}
	ajax.request(ajax.url);
}
