<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

global $database, $section, $id, $cid;

$section = AppleGetParam("section", $_GET, "view");
$parts = AppleParseURI();

if ($parts[0] == 'content' && $section == 'view' && $id == 0 && $cid == 0) $section = 'list';
if ($parts[0] == 'content' && $section == 'view' && $id == 0 && $cid != 0) $section = 'categories';
if ($parts[0] == 'content' && $parts[1] == 'cat') $section = 'categories';
$content = new content();
$cache = AppleCache::getCache('content');

switch ($section) {
	case 'list':
		if ($com == 'content') {
			AppleSetPath(__('Content'));
			AppleSetTitle(__('Content'));
		}
		$cache->call('listContents', $content, $parts);
	break;
	//case 'rss': $content->rss(); break;
	case 'print': $content->printContent(); break;
	case 'categories': $cache->call('categories', $content, $parts); break;
	default: $cache->call('view', $content, $parts);
}


function view($content, $parts) {
	$content->view($parts);
}

function listContents($content, $parts) {
	$content->listContents($parts);
}

function categories($content, $parts) {
	$content->categories($parts);
}
?>