<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

define('ACCESS_ALLOW', true);

require_once(dirname(__FILE__).'/settings.php');

$com = AppleGetParam('com', $_GET, settings::get('default_component'));
$section = AppleGetParam('section', $_GET);
$task = AppleGetParam('task', $_GET);
$cid = intval(AppleGetParam('cid', $_GET, 0));
$uid = intval(AppleGetParam('uid', $_GET, 0));
$id = intval(AppleGetParam('id', $_GET, 0));
$page = intval(AppleGetParam('page', $_GET, 1));
$Apple_menu_id = 0;

if ($com == 'captcha') {
	$key = AppleGetParam('key', $_REQUEST);
	$width = intval(AppleGetParam('width', $_REQUEST, 170));
	$height = intval(AppleGetParam('height', $_REQUEST, 40));
	AppleCaptcha($key, $width, $height);
	exit();
}

$lt = AppleGetParam('load_theme', $_GET, 'yes');
if (AppleAjaxRequest()) $lt = 'no';

$Apple_theme = new AppleTheme();

$str = $lt == 'no' ? '' : $Apple_theme->getTheme();
$Apple_theme->execute($str);
?>
