
function go2(url, element) {
	ajax = new AppleAjax(url, element);
	ajax.method = 'get';
	ajax.request(ajax.url);
}

function AppleOnload() {
	/*if (document.all) {
		document.attachEvent("onsubmit", AppleAjaxForm);
	}
	else if (document.getElementById) {
		document.addEventListener("submit", AppleAjaxForm, true);
	}*/
}

function emailValidity(email) {
	if( !(/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,4})+$/.test(email))) {
		return false;
	}
	return true;
}

function AppleEmailValidation(email) {
	return (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,4})+$/.test(email));
}

function showError(message) {
	return "<font style=\"color:#ce0606;\">"+message+"</font>";
}

function playCaptcha(url) {
	$("img_captcha").src = url + '&' + new Date().getTime();
}

function checkAll(checkbox) {
	var element = checkbox.form.elements;
	for (i=0; i<element.length; i++) {
		if (element[i].type == "checkbox") {
			element[i].checked = checkbox.checked;
		}
	}
	return true;
}

function submitButton(form, task) {
	var form = $(form);
	var len = form.elements.length;
	var id = '';
	
	for (i=0; i<len; i++) {
		if ((form.elements[i].type == "checkbox" || form.elements[i].type == "radio") && form.elements[i].checked == true && (form.elements[i].name != '' || form.elements[i].id != '')) {
			if(id != '') id += ',';
			id += form.elements[i].id;
		}
		if (form.elements[i].type == "radio" && id != '') break;
	}
	
	if (id != '' || task == 'new') {
		form.task.value = task;
		form.id.value = id;
		form.submit();
	}
	else alert('هیچ آیتمی انتخاب نشده');
}

function changeLanguage() {
	var lng = $('lng').value;
	document.location.href='?lng='+lng;
}

function getAppleLatestNews(url, id) {
	ajax = new AppleAjax(url, id);
	ajax.onLoading = $(id).innerHTML = 'در حال دریافت اطلاعات....';
	ajax.request(ajax.url);
}

function AppleAjaxForm(event, element) {
	if (element == null) element = 'message';
	for (i=0; i<document.forms.length; i++) {
		x = i;
		if (typeof onSubmit == 'undefined') onSubmit = document.forms[i].onsubmit;
		document.forms[i].onsubmit = function(e) {
			if (typeof onSubmit == 'function') if (onSubmit() == false) return false;
			else document.forms[x].onsubmit = '';
			AppleAjaxFormOnSubmit(document.forms[x], element);
			return false;
		}
	}
}

function AppleAjaxFormOnSubmit(form, element) {
	if (typeof tinyMCE != 'undefined') tinyMCE.triggerSave();
	if (!$(element)) {
		var div = document.createElement("div");
		div.className = element;
		div.id = element;
		div.style.position = 'absolute';
		div.style.padding = '0';
		div.style.margin = '0';
		div.style.width = '100%';
		div.style.top = '0';
		div.style.left = '0';
		document.body.appendChild(div);
	}
	
	var len = form.elements.length;
	var url = form.action ? form.action + '&load_theme=no' : document.location.href + '&load_theme=no';
	
	ajax = new AppleAjax(url, element);
	
	for(i=0; i<len; i++) {
		f_element = form.elements[i];
		name = f_element.name != '' ? f_element.name : f_element.id;
		
		if (f_element.getAttribute("required")) {
			if (f_element.value.blank()) {
				$(f_element).addClassName('invalid');
				return;
			}
			else {
				f_element.removeClassName('invalid');
			}
		}
		
		if (f_element.type == 'checkbox') {
			value = (!f_element.checked) ? '' : f_element.value;
		}
		else if (f_element.type == 'radio') {
			if (f_element.checked) value = f_element.value;
		}
		else value = f_element.value;
		ajax.addParam(name, value, false);
	}
	
	ajax.onLoading = function(element) { $(element).innerHTML = '<div id="loading">در حال ذخیره سازی ....</div>'; }
	location.hash = '#' + element;
	ajax.request(ajax.url);
}

AppleOpenCloseDiv = Class.create();
AppleOpenCloseDiv.prototype = {
	initialize: function(element1, element2) {
		this.el1 = element1;
		this.el2 = element2;
		
		if ($(this.el2).style.display == 'none') {
			$(this.el2).style.overflow = 'hidden';
			//$(this.el2).style.display = '';
			//this.height = $(this.el2).offsetHeight-parseInt($(this.el2).style.paddingTop)-parseInt($(this.el2).style.paddingBottom);
			//this.height--;
			//$(this.el2).style.height = 0;
			this.open();
		}
		else {
			//this.height = $(this.el2).offsetHeight-parseInt($(this.el2).style.paddingTop)-parseInt($(this.el2).style.paddingBottom);
			//this.height--;
			this.close();
		}
	},
	
	open: function() {
		this.el1.removeClassName('closed');
		this.el1.addClassName('opened');
		Effect.BlindDown(this.el2);
		
		/*h = parseInt($(this.el2).style.height);
		if (h < this.height) {
			h += 2;
			if (h > this.height) h = this.height;
			$(this.el2).style.height = h;
			var timer = setTimeout(function() { this.open() }.bind(this), 30);
		}
		else {
			clearTimeout(timer);
		}*/
	},
	
	close: function() {
		Effect.BlindUp(this.el2);
		this.el1.removeClassName('opened');
		this.el1.addClassName('closed');
		/*
		h = parseInt($(this.el2).style.height);
		if (h > 0) {
			h -= 4;
			if (h < 0) h = 0;
			$(this.el2).style.height = h;
			var timer = setTimeout(function() { this.close() }.bind(this), 20);
		}
		else {
			clearTimeout(timer);
			this.el1.removeClassName('opened');
			this.el1.addClassName('closed');
			$(this.el2).style.display = 'none';
			$(this.el2).style.height = this.height;
		}*/
	}
}

var error = {
	MSGTIMER: 20,
	MSGSPEED: 5,
	MSGOFFSET: 3,
	MSGHIDE: 3,
	
	// build out the divs, set attributes and call the fade function //
	inlineMsg: function(target, string, autohide) {
		var msg;
		var msgcontent;
		if(!document.getElementById('msg')) {
			msg = document.createElement('div');
			msg.id = 'msg';
			msgcontent = document.createElement('div');
			msgcontent.id = 'msgcontent';
			document.body.appendChild(msg);
			msg.appendChild(msgcontent);
			msg.style.filter = 'alpha(opacity=0.8)';
			msg.style.opacity = 0.8;
			msg.alpha = 0.8;
			}
			else {
				msg = document.getElementById('msg');
				msgcontent = document.getElementById('msgcontent');
			}
			msgcontent.innerHTML = string;
			msg.style.display = 'block';
			var msgheight = msg.offsetHeight;
			var targetdiv = document.getElementById(target);
			targetdiv.focus();
			var targetheight = targetdiv.offsetHeight;
			var targetwidth = targetdiv.offsetWidth;
			var topposition = this.topPosition(targetdiv) - ((msgheight - targetheight) / 2);
			var leftposition = this.leftPosition(targetdiv) + targetwidth + this.MSGOFFSET;
			msg.style.top = topposition + 'px';
			msg.style.left = leftposition + 'px';
			clearInterval(msg.timer);
			msg.timer = setInterval(function() { this.fadeMsg(1) }.bind(this), this.MSGTIMER);
			if(!autohide) {
				autohide = this.MSGHIDE;  
			}
			window.setTimeout(function() { this.hideMsg() }.bind(this), (autohide * 1800));
	},
	
	// hide the form alert //
	hideMsg: function(msg) {
		var msg = document.getElementById('msg');
		if(!msg.timer) {
			msg.timer = setInterval(function() { this.fadeMsg(0) }.bind(this), this.MSGTIMER);
		}
	},
	
	// face the message box //
	fadeMsg: function(flag) {
		if(flag == null) {
			flag = 1;
		}
		var msg = document.getElementById('msg');
		var value;
		if(flag == 1) {
			value = msg.alpha + this.MSGSPEED;
		} else {
			value = msg.alpha - this.MSGSPEED;
		}
		msg.alpha = value;
		msg.style.opacity = (value / 100);
		msg.style.filter = 'alpha(opacity=' + value + ')';
		if(value >= 99) {
			clearInterval(msg.timer);
			msg.timer = null;
		} else if(value <= 1) {
			msg.style.display = "none";
			clearInterval(msg.timer);
		}
	},
	
	// calculate the position of the element in relation to the left of the browser //
	leftPosition: function(target) {
		var left = 0;
		if(target.offsetParent) {
			while(1) {
				left += target.offsetLeft;
				if(!target.offsetParent) {
					break;
				}
				target = target.offsetParent;
			}
		} else if(target.x) {
			left += target.x;
		}
		return left;
	},
	
	// calculate the position of the element in relation to the top of the browser window //
	topPosition: function(target) {
		var top = 0;
		if(target.offsetParent) {
			while(1) {
				top += target.offsetTop;
				if(!target.offsetParent) {
					break;
				}
				target = target.offsetParent;
			}
		} else if(target.y) {
			top += target.y;
		}
		return top;
	}
}

var AppleAjax = Class.create();
AppleAjax.prototype = Object.extend(new Ajax.Base(), {});
Object.extend(AppleAjax.prototype, Ajax.Request.prototype);
Object.extend(AppleAjax.prototype, {
	initialize: function(url, element) {
		var exception = false;
		this.url = url;
		this.transport = Ajax.getTransport();
		
		var self = this;
		options = {
			onUninitialized: function() { self.onUninitialized(); },
			onLoading: function() { self.onLoading(element); },
			onLoaded: function() { self.onLoaded(); },
			onInteractive: function() { self.onInteractive(); },
			onComplete: function() { self.onComplete(element); }
		};
		Object.extend(this.options, options);
	},
	
	addParam: function(key, value, encode) {
		var h = new Hash();
		if (encode == true) key = encodeURIComponent(key);
		if (encode == true) value = encodeURIComponent(value);
		h.set(key, value);
		this.options.parameters = $H(this.options.parameters).update(h).toObject();
	},
	
	onLoading: function(element, message) {
		if (message == null) var message = '<div class="loading"><img src="images/loading.gif"> لطفاً کمی صبر کنید....</div>';
		Element.update(element, message);
	},
	
	onComplete: function(element, message) {
		if (message == null) var message = ajax.transport.responseText;
		Element.update(element, message);
	},
	
	onLoaded: function() {
		
	},
	
	onInteractive: function() {
		
	}
});

var AppleList = {
	
	remove: function(tr, tb) {
		element = $(tr).cleanWhitespace();
		var oldOpacity = element.getInlineOpacity();
		Effect.SwitchOff(tr, {afterFinishInternal: function(effect) {effect.element.hide().undoClipping().undoPositioned().setStyle({opacity: oldOpacity}); AppleList.reColor(tb);}});
	},
	
	reColor: function(id) {
		var rows = $(id).getElementsByTagName("tr");
		var even = true;
		
		for(i=0; i<rows.length; i++) {
			if ($(rows[i]).style.display == 'none' || $(rows[i]).firstChild.nodeName.toLowerCase() == 'th') continue;
			if (even) {
				$(rows[i]).removeClassName('odd');
				$(rows[i]).removeClassName('even');
				$(rows[i]).addClassName('even');
			}
			else {
				$(rows[i]).removeClassName('odd');
				$(rows[i]).removeClassName('even');
				$(rows[i]).addClassName('odd');
			}
			even = !even;
		}
	}
}

function AppleReOrder(url, element) {
	if ($('level') != null) var level = $('level').innerHTML.replace(/&amp;/ig, '&');
	var sort = $('sort_info').innerHTML.replace(/&amp;/ig, '&');
	
	ajax = new AppleAjax( url, element);
	if (level != null) ajax.addParam('level', level, false);
	ajax.addParam('sort', sort, false);
	ajax.onLoading = $(element).innerHTML = '<div class="loading"><img src="images/loading.gif"> لطفاً کمی صبر کنید....</div>';
	ajax.request(ajax.url);
	$('sort_button').innerHTML = '';
}