var popupWindow = {
	element: "",
	x : "",
	y: "",
	imagesDir: "kernel/js/window/images"
}

function makeWindow(element) {
	popupWindow.element = element;
	var w = document.body.clientWidth;
	var h = document.body.clientHeight + document.body.scrollHeight;
	document.writeln("<div id=\"layer\" style=\"display:block; width:"+w+"; height:"+h+"; position:absolute; top:0; left:0; background:#111;\"></div>");
	//$('layer').setOpacity(0.5);
	$('layer').style.opacity='0.5'; // FF
	$('layer').style.filter='alpha(opacity=50)'; // IE
	document.writeln("<table cellspacing=\"0\" cellpadding=\"0\" style=\"position:absolute; display:none; direction:ltr;\" id=\"window\">");
	document.writeln("<tr class=\"window_top_bg\">");
	document.writeln("<td style=\"padding-left:7px; padding-top:1px; border-left:2px solid #6d7d8e; border-top:1px solid #6d7d8e; width:5%; color:#000088;\" align=\"left\">");
	document.writeln("<img src=\""+popupWindow.imagesDir+"/close_out.gif\" onmouseover=\"this.src='"+popupWindow.imagesDir+"/close_over.gif'\" onmouseout=\"this.src='"+popupWindow.imagesDir+"/close_out.gif'\" onmousedown=\"this.src='"+popupWindow.imagesDir+"/close_down.gif'\" onmouseup=\"closeWindow('"+element+"');\" title=\"close\" alt=\"close\" align=\"left\" />");
	document.writeln("</td>");
	document.writeln("<td style=\"padding-right:5px; border-right:2px solid #6d7d8e; border-top:1px solid #6d7d8e; height:23px; width:95%; text-align:right; color:#fff; cursor:move; font-weight:bold\" onmousedown=\"drag(event,'"+element+"')\" id=\"title\"></td>");
	document.writeln("</tr>");
	document.writeln("<tr>");
	document.writeln("<td colspan=\"2\">");
	document.writeln("<div style=\"padding:5px; border:2px solid #6d7d8e; border-top:0px; background-color:#F5F5F5; color:#333; text-align:right; \"  valign=\"top\" dir=\"rtl\" colspan=\"2\" id=\"text\"></div>");
	document.writeln("</td>");
	document.writeln("</tr>");
	document.writeln("</table>");
}

function drag(event, element) {
	x_c = event.clientX;
	y_c = event.clientY;
	popupWindow.x = x_c - parseInt($(popupWindow.element).style.left);
	popupWindow.y = y_c - parseInt($(popupWindow.element).style.top);
	
	if (document.all) {
		document.attachEvent("onmousemove", dragStart);
		document.attachEvent("onmouseup", dragStop);
		popupWindow.event.cancelBubble = true;
		popupWindow.event.returnValue = false;
	}
	else if (document.getElementById) {
		document.addEventListener("mousemove", dragStart, true);
		document.addEventListener("mouseup", dragStop, true);
		event.preventDefault();
	}
}

function dragStart(event) {
	x_c = event.clientX;
	y_c = event.clientY;
	$(popupWindow.element).style.top = y_c - popupWindow.y + "px";
	$(popupWindow.element).style.left = x_c - popupWindow.x + "px";
	if (document.all) {
		popupWindow.event.cancelBubble = true;
		popupWindow.event.returnValue = false;
	}
	else if (document.getElementById) {
		event.preventDefault();
	}
}

function dragStop(event) {
	if (document.all) {
		document.detachEvent("onmousemove", dragStart);
		document.detachEvent("onmouseup", dragStop);
	}
	else if (document.getElementById) {
		document.removeEventListener("mousemove", dragStart, true);
		document.removeEventListener("mouseup", dragStop, true);
	}
}

function openWindow(url, title, width){
	url += '&'+new Date().getTime();
	$("title").innerHTML = title;
	$(popupWindow.element).style.width = "500px";
	$("text").style.width = "500px";
	if(width != "0"){
		$(popupWindow.element).style.width = width;
		$("text").style.width = width;
	}
	$(popupWindow.element).style.left = parseInt(document.body.clientWidth/2 - parseInt($(popupWindow.element).style.width)/2);
	$(popupWindow.element).style.top = parseInt(document.body.clientHeight/2 - $("text").offsetHeight/2 + document.body.scrollTop);
	$("layer").style.height = document.body.offsetHeight;
	$("layer").style.display = "block";
	$(popupWindow.element).style.display = "block";
	
	if (document.all) {
		document.attachEvent("onkeypress", keyPress);
	}
	else if (document.getElementById) {
		document.addEventListener("keypress", keyPress, true);
	}
	
	ajax = new appleAjax(url, "text");
	ajax.method = 'get';
	ajax.onLoading = $("text").innerHTML = "<img src=\"images/loading.gif\">";
	ajax.onComplete = function() {completed("text");}
	ajax.request(ajax.url);
}

function completed(element, message) {
	if (message == null) var message = ajax.transport.responseText;
	Element.update(element, message);
	fit();
}

function fit(){
	var top = parseInt(document.body.clientHeight/2 - $("text").offsetHeight/2 + document.body.scrollTop);
	if(top < 4) top = 4;
	$(popupWindow.element).style.top = top;
}

function closeWindow(element){
	if (element == null) element = popupWindow.element;
	$(element).style.display = "none";
	$("layer").style.display = "none";
	if (document.all) {
		document.detachEvent("onkeypress", keyPress);
	}
	else if (document.getElementById) {
		document.removeEventListener("keypress", keyPress, true);
	}
}

function keyPress(event) {
	if (event.keyCode == 27) closeWindow();
}