<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

class AM__menu {
	function __construct($module) {
		global $database;
		$database->setQuery("SELECT * FROM `#__menu` WHERE id IN (".$module->param->id.") AND published='1' AND lng='".LANGUAGE."' ORDER BY ordering");
		$menu_list = $database->loadObjectList();
		if ($menu_list == null) return ;
		foreach ($menu_list as $menu) {
			echo '<div class="'.$module->param->css.'">';
			if ($module->show_title) echo '<div class="'.$module->param->title_css.'">'.$menu->name.'</div>';
			echo '<div class="'.$module->param->body_css.'">';
			
			$database->setQuery("SELECT * FROM `#__menu_items` WHERE menu='".$menu->id."' AND parent='0' AND published='1' ORDER BY ordering");
			$list = $database->loadObjectList();
			if (!empty($list)) {
				echo '<ul>';
				foreach ($list as $k) {
					echo '<li><div class="link" style="'.($k->icon != null ? 'background:url(\'uploads/images/profile.gif\') '.(settings::get('direction')=='rtl'?'right':'left').' no-repeat; padding-'.(settings::get('direction')=='rtl'?'right':'left').':17px;' : '').'"><a href="'.AppleMakeSef($k->url).'" target="'.$k->target.'">'.(($k->image != null) ? '<img src="'.$k->image.'" alt="'.$k->title.'" title="'.$k->title.'" />' : $k->title).'</a></div></li>';
				}
				echo '</ul>';
			}
			echo '</div></div>';
		}
	}
}
?>