<?php
defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

define(Apple_root_path, dirname(__FILE__));

if (file_exists(Apple_root_path.'/configuration.php')) {
	require_once(Apple_root_path.'/configuration.php');
}
elseif (!defined('INSTALLING')) {
	require_once(Apple_root_path.'/kernel/functions.php');
	AppleDie('<h1>Configuration file not found!</h1><p>Apple needs <code>configuration.php</code> file to start its work. You can create this file through a web interface or on yourself. Need more help? <a href="http://www.applecms.org/editing_configuration" target="_blank">We got it</a>.</p>
	<p><a href="installation/index.php" class="button">Create a Configuration File</a></p>');
}

require_once (Apple_root_path.'/kernel/database.php');
require_once(Apple_root_path.'/kernel/PHPMailer/class.phpmailer.php');
require_once(Apple_root_path.'/kernel/classes.php');
require_once(Apple_root_path.'/kernel/functions.php');
require_once(Apple_root_path.'/kernel/html.php');
require_once (Apple_root_path.'/kernel/date.php');

require_once(Apple_root_path.'/kernel/File_Gettext/streams.php');
require_once(Apple_root_path.'/kernel/File_Gettext/PHP-gettext.php');

wp_unregister_GLOBALS();

if (db_prefix && preg_match('|[^a-z0-9_]|i', db_prefix))
	die("<strong>ERROR</strong>: <code>db_prefix</code> in <code>configuration.php</code> can only contain numbers, letters, and underskernels.");

// Load language file.mo
$uri = $_SERVER['REQUEST_URI'];
$parts = explode('/', $uri);
for ($i=0; $i<count($parts); $i++) {
	if ($parts[$i] == 'lng') {
		$_GET['lng'] = $_REQUEST['lng'] = $parts[$i+1];
	}
}
define(LANGUAGE, AppleGetParam('lng', $_GET, DEFAULT_LANGUAGE));
if (file_exists(Apple_root_path.'/languages/'.LANGUAGE.'/LC_MESSAGES/system.mo')) AppleLoadMoFile(Apple_root_path.'/languages/'.LANGUAGE.'/LC_MESSAGES/system.mo');

// Set the enviroment variable for GD
putenv('GDFONTPATH=' . Apple_root_path.'/kernel/fonts');

if (defined('INSTALLING')) return ;

$database = db::getInstance();
mysql_set_charset('utf8');

$settings = settings::getInstance();

session_name(md5($settings->get('name')));
session_start();

if (!AppleInstalled())
	AppleDie('<h1>Configuration file not found!</h1><p>Apple needs <code>configuration.php</code> file to start its work. You can create this file through a web interface or on yourself. Need more help? <a href="http://www.applecms.org/editing_configuration" target="_blank">We got it</a>.</p>
	<p><a href="installation/index.php" class="button">Create a Configuration File</a></p>');

define(Apple_version, '1.0 BETA');

// Reverse SEF URL to Normal URL
AppleSefReverse();
?>