<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

class message {
	function listMessages() {
		global $database;
		
		$database->setQuery("SELECT COUNT(*) as count FROM `#__contact`");
		$count = $database->loadObject();
		$count = $count->count;
		
		$pageNav = new ApplePageNav($count, 25);
		
		$database->setQuery("SELECT * FROM `#__contact` ORDER BY date DESC $pageNav->sql_limit");
		$list = $database->loadObjectList();
		$display = new HTML();
		$display->listMessages($list, $pageNav);
	}
	
	function view() {
		global $database;
		$id = intval(AppleGetParam('id', $_GET, 0));
		$message = AppleMessage::getInstance();
		
		$database->setQuery("SELECT * FROM `#__contact` WHERE id='$id'");
		$m = $database->loadObject();
		if ($m == null) {
			$message->add('error', __('Message not found'));
			return ;
		}
		$database->SetQuery("UPDATE `#__contact` SET `status`='read' WHERE `id`='$id'");
		if (!$database->query()) {
			$message->add('error', __('unknown_error'));
			return ;
		}
		$display = new HTML();
		$display->view($m);
	}
	
	function mark($f) {
		$id = AppleGetParam('id', $_GET);
		$id = explode(',',$id);
		global $database;
		$message = AppleMessage::getInstance();
		for ($i=0; $i<count($id); $i++) {
			$database->SetQuery("UPDATE `#__contact` SET `status`='$f' WHERE `id`='$id[$i]'");
		}
		
		if ($database->query())
			$message->add('success', __('Changes updated successfully'));
		else
			$message->add('error', __('unknown_error'));
	}
	
	function delete() {
		global $database;
		$page = intval(AppleGetParam('page', $_GET, 1));
		$id = AppleGetParam('id', $_GET);
		$id = explode(',',$id);
		$count = count($id);
		$message = AppleMessage::getInstance();
		
		for ($i=0; $i<$count; $i++) {
			$database->SetQuery("DELETE FROM `#__contact` WHERE `id`='$id[$i]'");
		}
		if ($this->database->query()) {
			$message->add('success', __('Changes updated successfully'));
			return true;
		}
		elseif ($count == 1) {
			$message->add('error', __('unknown_error'));
			return false;
		}
		else {
			$message->add('error', __('Queries are done with error'));
			return false;
		}
	}
}
?>