<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

class HTML {
	function listMessages($list, $pageNav) {
		AppleSetPath(__('Manage Messages'));
		?>
		<form name="messages" id="messages" action="?" method="GET" onsubmit="return false;">
		<?php
		$action = array();
		$action[] = AppleHTML::makeOption(null, __('More Actions ....'));
		$action[] = AppleHTML::makeOption('read', __('Mark as read'));
		$action[] = AppleHTML::makeOption('unread', __('Mark as unread'));
		$action[] = AppleHTML::makeOption('delete', __('Delete'));
		
		$table = new table(null, null, 'width:850px; padding-bottom:5px;');
		$table->addTR();
		$table->addTD(AppleHTML::makeList($action, 'action', 'id="action"').' '.AppleHTML::makeButton(__('Go'), 'id="cancel" style="height:25px;" onclick="if (($(\'action\').value == \'delete\' && confirm(\''.__('Are you sure you want to delete selected item(s)?').'\')) || ($(\'action\').value != \'\' && $(\'action\').value != \'delete\')) submitButton(this.form, $(\'action\').value)"'), 'text-align:'.(settings::get('direction') == 'rtl' ? 'right' : 'left').';');
		$table->show();
		
		$table = new table('list', 'list', 'width:850px;');
		$table->addTR();
		$table->addTH('<input type="checkbox" onClick="checkAll(this);">', 'width:5px;');
		$table->addTH('-', 'width:5px;');
		$table->addTH(__('Subject'), 'width:300px;');
		$table->addTH(__('Sender Name'), 'width:250px;');
		$table->addTH(__('Sender E-Mail'), 'width:250px;');
		$table->addTH(__('Date'), 'width:140px;');
		
		$count = count($list);
		$i = 0;
		@reset($list);
		if (!empty($list)) {
			foreach ($list as $message) {
				$table->addTR();
				$table->addTD('<input type="checkbox" id="'.$message->id.'">');
				$table->addTD('<a href="?com=contact&task=view&id='.$message->id.'&page='.$pagenav->page.'&lng='.LANGUAGE.'"><img src="images/contact_'.$message->status.'.png"></a>');
				$table->addTD('<a href="?com=contact&task=view&id='.$message->id.'&page='.$pagenav->page.'&lng='.LANGUAGE.'">'.$message->subject.'</a>', 'text-align:justify;');
				$table->addTD($message->name, 'text-align:'.(settings::get('direction') == 'rtl' ? 'right' : 'left').';');
				$table->addTD($message->email, 'text-align:left;');
				$table->addTD(AppleDate($message->date, 'Y-m-d'), 'text-align:center;');
			}
		}
		$table->show();
		?>
		<input type="hidden" name="com" value="contact" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="id" value="" />
		<input type="hidden" name="page" value="<?php echo $page; ?>" />
		<input type="hidden" name="lng" value="<?php echo LANGUAGE; ?>" />
		</form>
		<?php
		echo $pageNav->writePages();
	}
	
	function view($message) {
		$id = intval(AppleGetParam('id', $_GET, 0));
		$page = intval(AppleGetParam('page', $_GET, 1));
		AppleSetPath(__('Message Content'));
		echo '<button class="button" id="delete" onclick="if (confirm(\''.__('Are you sure you want to delete selected item?').'\')) location.href=\'?com=contact&task=delete&id='.$id.'&page='.$page.'&lng='.LANGUAGE.'\';">&nbsp;&nbsp;'.__('Delete').'&nbsp;&nbsp;</button>
		<button class="button" id="cancel" onclick="location.href=\'?com=contact&page='.$page.'&lng='.LANGUAGE.'\';">&nbsp;&nbsp;'.__('Back').'&nbsp;&nbsp;</button><br>
		<div style="padding:4px;">'.__('Subject').' : '.$message->subject.'</div>
		<div style="padding:4px;">'.__('Sender').' : '.$message->name.' - '.$message->email.'</div>
		<div style="padding:4px;">'.__('Date').' : '.AppleDate($message->date).'</div>
		<div class="contact" style="padding:4px;">'.$message->message.'</div>';
	}
}
?>