<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

class categoryHTML {
	
	function view($list, $page_nav) {
		$page = intval(AppleGetParam('page', $_GET, 1));
		AppleSetPath(__('Manage Categories'));
		?>
		<script type="text/javascript" src="components/content/ajax.js"></script>
		<form name="cat" id="cat" action="?" method="GET" onsubmit="return false;">
		<?php
		$action = array();
		$action[] = AppleHTML::makeOption(null, __('More Actions ....'));
		$action[] = AppleHTML::makeOption('new', __('New'));
		$action[] = AppleHTML::makeOption('edit', __('Edit'));
		$action[] = AppleHTML::makeOption('delete', __('Delete'));
		$action[] = AppleHTML::makeOption('publish', __('Publish'));
		$action[] = AppleHTML::makeOption('unpublish', __('Unpublish'));
		
		$table = new table(null, null, 'width:900px; padding-bottom:5px;');
		$table->addTR();
		$table->addTD(AppleHTML::makeList($action, 'action', 'id="action"').' '.AppleHTML::makeButton(__('Go'), 'id="cancel" style="height:25px;" onclick="if (($(\'action\').value == \'delete\' && confirm(\''.__('Are you sure you want to delete selected item(s)?').'\')) || ($(\'action\').value != \'\' && $(\'action\').value != \'delete\')) submitButton(this.form, $(\'action\').value)"'), 'text-align:'.(settings::get('direction') == 'rtl' ? 'right' : 'left').';');
		$table->show();
		
		
		$table = new table('list', 'list', 'width:900px;');
		$table->sortable = true;
		$table->sort_url = '?com=content&section=category&task=reorder';
		$table->addTR();
		$table->addTH('#', 'width:5px;');
		$table->addTH('<input type="checkbox" onClick="checkAll(this);">', 'width:5px;');
		$table->addTH(__('Name'), 'text-align:'.(settings::get('direction')=='rtl'?'right':'left').';width:400px;');
		$table->addTH(__('Parent Name'), 'width:150px;');
		$table->addTH(__('Contents Number'), 'width:100px;');
		$table->addTH(__('Publish'), 'width:50px;');
		$table->addTH(__('Reorder'), 'width:50px;', 'colspan="2"');
		$table->addTH(__('Edit'), 'width:30px;');
		$table->addTH(__('Delete'), 'width:30px;');
		$table->addTH('ID', 'width:40px;');
		
		@reset($list);
		$i = 0;
		$p = ($page-1)*$page_nav->limit_length;
		if (!empty($list)) {
			$level = array();
			$x = array();
			foreach ($list as $item) {
				$i++;
				$table->addTR("id=\"tr_$item->id\"");
				$table->addTD(++$p);
				$table->addTD('<input type="checkbox" id="'.$item->id.'">');
				$level[$item->level] = $item->id;
				$x[] = 'level['.$item->level.'][]='.$item->id;
				$name = null;
				for ($j=0; $j<$item->level; $j++) $name .= '&nbsp;&nbsp;.&nbsp;&nbsp;';
				$name .= $item->name;
				$table->addTD('<a href="?com=content&section=category&task=edit&id='.$item->id.'&page='.$page.'&lng='.LANGUAGE.'">'.$name.'<a/>', 'text-align:'.(settings::get('direction') == 'rtl' ? 'right' : 'left').';');
				$table->addTD(adminCategory::getName($item->parent) == '-' ?  adminCategory::getName($item->parent) : '<a href="?com=content&section=category&task=edit&id='.$item->parent.'&page='.$page.'&lng='.LANGUAGE.'">'.adminCategory::getName($item->parent).'</a>');
				$table->addTD(adminCategory::getContentNumbers($item->id));
				$table->addTD(AppleHTML::publishIcon($item->id, $item->published));
				//$table->addTD(AppleHTML::moveUpIcon($item->id, $list[$i-2] != null));
				$table->addTD('<img src="images/move.gif" />', null, 'colspan=2');
				$table->addTD(AppleHTML::editIcon($item->id));
				$table->addTD(AppleHTML::deleteIcon($item->id, 'list'));
				$table->addTD($item->id);
			}
			echo '<div id="level" style="display:none;">'.implode('&', $x).'</div>';
		}
		
		$table->show();
		?>
		<input type="hidden" name="com" value="content" />
		<input type="hidden" name="section" value="category" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="id" value="" />
		<input type="hidden" name="page" value="<?php echo $page; ?>" />
		<input type="hidden" name="lng" value="<?php echo LANGUAGE; ?>" />
		</form>
		<?php
		echo $page_nav->writePages();
	}
	
	function form($task, $object=null) {
		$id = intval(AppleGetParam('id', $_GET, 0));
		$page = intval(AppleGetParam('page', $_GET, 1));
		$name = $object->name;
		$parentId = $object->parent;
		if ($task == 'new') AppleSetPath(__('New Category'));
		else AppleSetPath(__('Edit Category'));
		AppleShowMessage();		
		?>
		<form action="?com=content&section=category&task=<?php echo $task; ?>&id=<?php echo $id; ?>&lng=<?php echo LANGUAGE; ?>" method="POST">
		<table width="100%" border="0">
		<tr>
		<td valign="top" width="40%">
		<table border="0">
		<tr>
		<td><?php _e('Category Name'); ?> :</td><td> <input type="text" class="input" name="name" value="<?php echo $name; ?>"></td>
		</tr>
		<tr>
		<td><?php _e('Parent Name'); ?> :</td><td> <select class="input" name="parent">
		<option value="0">----</option>
		<?php
		global $database;
		$database->SetQuery("SELECT id,name FROM `#__categories` WHERE lng='".LANGUAGE."'");
		$obj = $database->loadObjectList();
		$arr = array();
		if ($id > 0) {
			$f = 0;
			$arr[$f++] = $id;
			for ($i=0; $i<$f; $i++) {
				$database->SetQuery("SELECT * FROM `#__categories` WHERE parent='$arr[$i]'");
				$o = $database->loadObjectList();
				for ($j=0;$j<count($o);$j++) {
					$arr[$f++] = $o[$j]->id;
				}
			}
		}
		
		for ($i=0; $i<count($obj); $i++) {
			if (in_array($obj[$i]->id,$arr)) continue;
			echo '<option value="'.$obj[$i]->id.'" ';
			if ($parentId == $obj[$i]->id) echo 'selected="selected"';
			echo '>'.$obj[$i]->name.'</option>';
		}
		?>
		</select>
		</td>
		</tr>
		<tr>
		<td><?php _e('Published'); ?></td>
		<?php
		$pub = array();
		$pub[] = AppleHTML::makeOption('1', __('Yes'));
		$pub[] = AppleHTML::makeOption('0', __('No'));
		?>
		<td> : <?php echo AppleHTML::makeRadio($pub, 'published', 'id="published"', ($object->published == 1 || $task == 'new')) ?></td>
		</tr>
		<tr><td colspan="2">
		<?php echo AppleHTML::makeSubmitButton('save', 'value="'.__('Save').'"'); ?>
		<?php echo AppleHTML::makeResetButton('id="cancel"'); ?>
		<?php echo AppleHTML::makeButton(__('Cancel'), 'id="delete" onclick="document.location.href=\'?com=content&section=category&page='.$page.'&lng='.LANGUAGE.'\'"'); ?>
		</td></tr>
		</table>
		</td>
		<td valign="top" align="right">
		<script type="text/javascript" src="components/content/ajax.js"></script>
		<div id="vbox1" class="dbx-group">
			<fieldset class="dbx-box">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td class="dbx_handle_right">&nbsp;</td>
						<td class="dbx-handle"><?php _e('Menu Status'); ?></td>
						<td class="dbx_handle_left">&nbsp;</td>
					</tr>
					<tr>
					<td class="dbx_content_right">&nbsp;</td>
					<td>
						<div class="dbx-content" id="menu_items">
							<?php
							self::menuStatus($task, $id);
							?>
						</div>
					</td>
					<td class="dbx_content_left">&nbsp;</td>
					</tr>
					<tr>
						<td class="dbx_footer_right">&nbsp;</td>
						<td class="dbx_footer">&nbsp;</td>
						<td class="dbx_footer_left">&nbsp;</td>
					</tr>
				</table>
			</fieldset>
		</div>
		</td>
		</tr>
		</table>
		<input type="hidden" name="page" value="<?php echo $page; ?>">
		
		</form>
		<?php
	}
	
	function menuStatus($task, $id, $msg=null) {
		$links = adminCategory::createdLinks($id);
		if ($links != null) {
			echo '<div>- '.__('Created Links').'</div>';
			foreach ($links as $link) {
				echo '<div class="dbx_content"><a href="'.AppleMakeSef(settings::get('url').'/?com=content&section=category&id='.$id).'" target=_blank>&raquo; '.$link->title.'</a></div>';
			}
			echo '<hr style="width:80%;" size="1" color="#cccccc">';
		}
		if ($msg != null) echo "$msg<br>";
		echo '<div>- '.__('Add this item to menu').'<br><br></div>';
		$list = adminCategory::getMenuList();
		echo '<table cellpadding="1" cellspacing="1" border="0">';
		echo '<tr><td>'.__('Menu').' : </td><td><select name="menu_name" id="menu_name" class="input">';
		foreach ($list as $menu) {
			echo '<option value="'.$menu->id.'">'.$menu->name.'</option>';
		}
		echo '</select></td></tr>
		<tr><td>'.__('Title').' : </td><td><input type="text" class="input" name="menu_title" id="menu_title"></td></tr>';
		if ($task == 'edit' && $id != 0) echo '<tr><td colspan="2"><input type="button" class="button" id="save" value="&nbsp;&nbsp;'.__('Send').'&nbsp;&nbsp;" onclick="menu(\'?com=content&section=category&task=addmenu&method='.$task.'&id='.$id.'&load_theme=no\', \'menu_items\');"></td></tr>';
		echo '</table>';
	}
}

class HTML {
	
	function view($list, $page_nav) {
		$page = intval(AppleGetParam('page', $_GET, 1));
		AppleSetPath(__('Manage Contents'));
		?>
		<script type="text/javascript" src="components/content/ajax.js"></script>
		<form name="content" id="content" action="?" method="GET" onsubmit="return false;">
		<?php
		$action = array();
		$action[] = AppleHTML::makeOption(null, __('More Actions ....'));
		$action[] = AppleHTML::makeOption('new', __('New'));
		$action[] = AppleHTML::makeOption('edit', __('Edit'));
		$action[] = AppleHTML::makeOption('delete', __('Delete'));
		$action[] = AppleHTML::makeOption('publish', __('Publish'));
		$action[] = AppleHTML::makeOption('unpublish', __('Unpublish'));
		
		$table = new table(null, 'width:900px; padding-bottom:5px;');
		$table->addTR();
		$table->addTD(AppleHTML::makeList($action, 'action', 'id="action"').' '.AppleHTML::makeButton(__('Go'), 'id="cancel" style="height:25px;" onclick="if (($(\'action\').value == \'delete\' && confirm(\''.__('Are you sure you want to delete selected item(s)?').'\')) || ($(\'action\').value != \'\' && $(\'action\').value != \'delete\')) submitButton(this.form, $(\'action\').value)"'), 'text-align:'.(settings::get('direction') == 'rtl' ? 'right' : 'left').';');
		$table->show();
		
		$table = new table('list', 'list', 'width:950px;');
		$table->sortable = true;
		$table->sort_url = '?com=content&task=reorder';
		$table->addTR();
		$table->addTH('#', 'width:5px;');
		$table->addTH('<input type="checkbox" onClick="checkAll(this);">', 'width:5px;');
		$table->addTH(__('Title'), 'width:380px;');
		$table->addTH(__('Category'), 'width:160px;');
		$table->addTH(__('Date'), 'width:100px;');
		$table->addTH(__('Publish'), 'width:50px;');
		$table->addTH(__('Reorder'), 'width:50px;', 'colspan="2"');
		$table->addTH(__('Edit'), 'width:30px;');
		$table->addTH(__('Delete'), 'width:30px;');
		$table->addTH(__('Hits'), 'width:90px;');
		
		@reset($list);
		$i = 0;
		$p = ($page-1)*$page_nav->limit_length;
		if (!empty($list)) {
			foreach ($list as $content) {
				$i++;
				$table->addTR("id=\"tr_$content->id\"");
				$table->addTD(++$p);
				$table->addTD('<input type="checkbox" id="'.$content->id.'">');
				$table->addTD('<a href="?com=content&task=edit&id='.$content->id.'&page='.$page.'&lng='.LANGUAGE.'">'.$content->title.'</a>', 'text-align:'.(settings::get('direction') == 'rtl' ? 'right' : 'left').';');
				$table->addTD(($category = adminContent::getCategory($content->cid)) != '-' ? '<a href="?com=content&section=category&task=edit&id='.$content->cid.'&lng='.LANGUAGE.'">'.$category.'</a>' : $category);
				$table->addTD(AppleDate($content->date, "Y-m-d"));
				$table->addTD(AppleHTML::publishIcon($content->id, $content->published));
				//$table->addTD(AppleHTML::moveUpIcon($content->id, $content->cid == $list[$i-2]->cid));
				//$table->addTD(AppleHTML::moveDownIcon($content->id, $content->cid == $list[$i]->cid));
				$table->addTD('<img src="images/move.gif" />', null, 'colspan=2');
				$table->addTD(AppleHTML::editIcon($content->id));
				$table->addTD(AppleHTML::deleteIcon($content->id, 'list'));
				$table->addTD($content->hits);
			}
		}
		$table->show();
		?>
		<input type="hidden" name="com" value="content" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="id" value="" />
		<input type="hidden" name="page" value="<?php echo $page; ?>" />
		<input type="hidden" name="lng" value="<?php echo LANGUAGE; ?>" />
		</form>
		<?php
		echo $page_nav->writePages();
	}
	
	function form($task, $object=null) {
		$id = intval(AppleGetParam('id', $_GET, 0));
		$page = intval(AppleGetParam('page', $_GET, 1));
		$title = $object->title;
		$category = $object->cid;
		$keywords = $object->keywords;
		$text = stripslashes($object->text);
		$date_status = ($task == 'edit' && $id != 0) ? $object->date_status : 1;
		$print_status = ($task == 'edit' && $id != 0) ? $object->print_status : 1;
		if ($task == 'new') AppleSetPath(__('New Content'));
		else AppleSetPath(__('Edit Content'));
		AppleShowMessage();
		?>
		<form name="form_content" id="form_content" action="?com=content&task=<?php echo $task; ?>&id=<?php echo $id; ?>&lng=<?php echo LANGUAGE; ?>" method="POST">
		<table width="100%" border="0">
		<tr>
		<td valign="top" align="right" style="width:290px;">
		<script type="text/javascript" src="components/content/ajax.js"></script>
		<div id="vbox1" class="dbx-group">
			<fieldset class="dbx-box">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td class="dbx_handle_right">&nbsp;</td>
						<td class="dbx-handle"><?php _e('Publish Status'); ?></td>
						<td class="dbx_handle_left">&nbsp;</td>
					</tr>
					<tr>
					<td class="dbx_content_right">&nbsp;</td>
					<td>
						<div class="dbx-content" id="menu_items">
							<?php
							self::publishStatus($object);
							?>
						</div>
					</td>
					<td class="dbx_content_left">&nbsp;</td>
					</tr>
					<tr>
						<td class="dbx_footer_right">&nbsp;</td>
						<td class="dbx_footer">&nbsp;</td>
						<td class="dbx_footer_left">&nbsp;</td>
					</tr>
				</table>
			</fieldset>
			<fieldset class="dbx-box">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td class="dbx_handle_right">&nbsp;</td>
						<td class="dbx-handle"><?php _e('Menu Status'); ?></td>
						<td class="dbx_handle_left">&nbsp;</td>
					</tr>
					<tr>
					<td class="dbx_content_right">&nbsp;</td>
					<td>
						<div class="dbx-content" id="menu_items">
							<?php
							self::menuStatus($task, $id);
							?>
						</div>
					</td>
					<td class="dbx_content_left">&nbsp;</td>
					</tr>
					<tr>
						<td class="dbx_footer_right">&nbsp;</td>
						<td class="dbx_footer">&nbsp;</td>
						<td class="dbx_footer_left">&nbsp;</td>
					</tr>
				</table>
			</fieldset>
			<fieldset class="dbx-box">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td class="dbx_handle_right">&nbsp;</td>
						<td class="dbx-handle"><?php _e('Categories'); ?></td>
						<td class="dbx_handle_left">&nbsp;</td>
					</tr>
					<tr>
					<td class="dbx_content_right">&nbsp;</td>
					<td>
						<div class="dbx-content" id="menu_items">
							<select name="cid" id="cid" class="input">
								<option value="0"><?php _e('Select a category'); ?></option>
								<?php
								$list = AppleMakeTree('#__categories', 0, "lng='".LANGUAGE."'", true, 0, 0);
								if ($list != null) {
									foreach ($list as $c) {
										echo '<option value="'.$c->id.'" '; if ($c->id == $category) echo 'selected="selected"'; echo '>'; for ($i=0; $i<$c->level; $i++) echo '&nbsp;.&nbsp;';echo $c->name.'</option>';
									}
								}
								?>
							</select>
						</div>
					</td>
					<td class="dbx_content_left">&nbsp;</td>
					</tr>
					<tr>
						<td class="dbx_footer_right">&nbsp;</td>
						<td class="dbx_footer">&nbsp;</td>
						<td class="dbx_footer_left">&nbsp;</td>
					</tr>
				</table>
			</fieldset>
			<fieldset class="dbx-box">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td class="dbx_handle_right">&nbsp;</td>
						<td class="dbx-handle"><?php _e('Categories'); ?></td>
						<td class="dbx_handle_left">&nbsp;</td>
					</tr>
					<tr>
					<td class="dbx_content_right">&nbsp;</td>
					<td>
						<div class="dbx-content" id="menu_items">
							<label for="date_status"><?php _e('Show date1?'); ?> <input type="checkbox" name="date_status" id="date_status" value="1" <?php if ($date_status == 1) echo 'checked="checked"'; ?>></label><br>
							<label for="print_status"><?php _e('Show printable1?'); ?> <input type="checkbox" name="print_status" id="print_status" value="1" <?php if ($print_status == 1) echo 'checked="checked"'; ?>></label> 
							<img src="images/help.png" title="header=[<?php _e('Show printable?'); ?>] body=[ ]<?php if (settings::get('direction') == 'rtl') echo ' offsetx=[-200]'; ?> fade=[on]">
						</div>
					</td>
					<td class="dbx_content_left">&nbsp;</td>
					</tr>
					<tr>
						<td class="dbx_footer_right">&nbsp;</td>
						<td class="dbx_footer">&nbsp;</td>
						<td class="dbx_footer_left">&nbsp;</td>
					</tr>
				</table>
			</fieldset>
		</div>
		</td>
		<td valign="top">
		<table border="0" width="98%">
		<tr>
		<td><?php echo AppleHTML::makeText('title', $title, 'id="title" style="width:100%; height:25px;"', true) ?></td>
		</tr>
		<tr>
		<td width="98%" style="color:#666;direction:ltr;"><?php echo settings::get('url').'/'; echo AppleHTML::makeText('unique_name', $object->unique_name, 'id="unique_name" style="width:250px;height:25px;color:#333;direction:ltr;"', false) ?></td>
		</tr>
		<tr>
		<td>
		<!-- TinyMCE -->
		<script type="text/javascript" src="../kernel/js/tiny_mce/tiny_mce.js"></script>
		<script type="text/javascript">
		tinyMCE.init({
		// General options
		 mode : "specific_textareas",
		theme : "advanced",
		plugins : "safari,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,xhtmlxtras",
		force_br_newlines : "true",
        force_p_newlines : "false",
		directionality : "rtl",

		// Theme options
		theme_advanced_buttons1 : "styleselect,formatselect,fontselect,fontsizeselect,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,ltr,rtl",
		theme_advanced_buttons2 : "search,replace,|,bullist,numlist,|,undo,redo,|,link,unlink,anchor,image,|,forecolor,backcolor,|,charmap,emotions,iespell,media,blockquote",
		theme_advanced_buttons3 : "tablecontrols,|,hr,visualaid,|,sub,sup,|,styleprops,|,pagebreak,|,code,preview,help",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		theme_advanced_statusbar_location : "bottom",
		theme_advanced_resizing : true,
		theme_advanced_resize_horizontal : false,

		
		document_base_url: "<?php echo settings::get('url'); ?>/",
		content_css : "admin/themes/default/css/style.css",

		// Replace values for the template plugin
		template_replace_values : {
			username : "Some User",
			staffid : "991234"
		}
		});
		</script>
		<!-- /TinyMCE -->
			<!-- Gets replaced with TinyMCE, remember HTML in a textarea should be encoded -->
			<?php echo AppleHTML::makeTextArea('text', $text, 'id="text" rows="15" cols="40" style="width:100%;"', true); ?>
		</td>
		</tr>
		<tr>
		<td>
		<div id="vbox2" class="dbx-group">
			<fieldset class="dbx-box">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td class="dbx_handle_right">&nbsp;</td>
						<td class="dbx-handle"><?php _e('Keywords'); ?></td>
						<td class="dbx_handle_left">&nbsp;</td>
					</tr>
					<tr>
					<td class="dbx_content_right">&nbsp;</td>
					<td>
						<div class="dbx-content" id="menu_items">
							<input type="text" class="input" name="keywords" style="width:100%; height:25px;" value="<?php echo $keywords; ?>">
						</div>
					</td>
					<td class="dbx_content_left">&nbsp;</td>
					</tr>
					<tr>
						<td class="dbx_footer_right">&nbsp;</td>
						<td class="dbx_footer">&nbsp;</td>
						<td class="dbx_footer_left">&nbsp;</td>
					</tr>
				</table>
			</fieldset>
			</div>
		</td>
		</tr>
		</table>
		</td>
		</tr>
		</table>
		<input type="hidden" name="page" value="<?php echo $page; ?>">
		
		</form>
		<?php
	}
	
	function publishStatus($object=null) {
		$page = intval(AppleGetParam('page', $_GET, 1));
		$pub = array();
		$pub[] = AppleHTML::makeOption('0', __('Unpublish'));
		$pub[] = AppleHTML::makeOption('1', __('Publish'));
		if ($object->modified_by != null) echo '<div style="padding-bottom:5px; color:#600d17;">'.__('Last modified').' : <br /><span dir="ltr">'.AppleDate($object->modified, 'Y-m-d H:i:s', 0, 0).'</span> '.__('By').' '.$object->modified_by.'</div>';
		echo '<div style="padding-bottom:5px;">'.AppleHTML::makeList($pub, 'published', 'id="published"', $object == null ? 1 : $object->published).'</div>';
		?>
		<div style="padding-bottom:15px;">
			<?php echo AppleHTML::makeSubmitButton('save', 'value="'.__('Save').'"').' '.AppleHTML::makeResetButton('id="cancel"').' '.AppleHTML::makeButton(__('Cancel'), 'id="delete" onclick="document.location.href=\'?com=content&page='.$page.'&lng='.LANGUAGE.'\'"'); ?>
		</div>
		<?php
		$date = AppleDate($object->date, 'Y-m-d H:i:s', 0, 0, 'G');
		$start = AppleDate($object->start, 'Y-m-d H:i:s', 0, 0, 'G');
		$end = $object != null ? AppleDate($object->end, 'Y-m-d H:i:s', 0, 0, 'G') : '0000-00-00 00:00:00';
		?>
		<div style="color:#333; cursor:pointer;" onclick="new AppleOpenCloseDiv(this, 'menu_time')"><img src="images/date-button.gif" style="vertical-align:middle;" /> <?php _e('Edit time'); ?></div>
		<div style="padding:5px; display:none;" id="menu_time">
			<table cellpadding="1" cellspacing="1">
			<?php echo '<tr><td>'.__('Created Date').' : </td><td>'.AppleHTML::makeText('date', $date, 'style="width:130px;" maxlength="19" id="date" dir="ltr"').'</td></tr>'; ?>
			<?php echo '<tr><td>'.__('Start Publishing').' : </td><td>'.AppleHTML::makeText('start', $start, 'style="width:130px;" maxlength="19" id="start" dir="ltr"').'</td></tr>'; ?>
			<?php echo '<tr><td>'.__('Finish Publishing').' : </td><td>'.AppleHTML::makeText('end', $end, 'style="width:130px;" maxlength="19" id="end" dir="ltr"').'</td></tr>'; ?>
			</table>
		</div>
		<?php
	}
	
	function menuStatus($task, $id) {
		echo '<div id="menu_msg"></div>';
		adminContent::menu_createdLinks($id);
		echo '<div id="menu_created" style="color:#333; cursor:pointer;" onclick="new AppleOpenCloseDiv(this, \'menu_form\')">'.__('Add this item to menu').'</div>
		<div style="padding:5px; display:none;" id="menu_form">';
		$list = adminContent::getMenuList();
		echo '<table cellpadding="1" cellspacing="1" border="0">';
		echo '<tr><td width="45">'.__('Menu').' : </td><td><select name="menu_name" id="menu_name" class="input">';
		foreach ($list as $menu) {
			echo '<option value="'.$menu->id.'">'.$menu->name.'</option>';
		}
		echo '</select></td></tr>
		<tr><td>'.__('Title').' : </td><td><input type="text" class="input" name="menu_title" id="menu_title"></td></tr>';
		if ($task == 'edit' && $id != 0) echo '<tr><td colspan="2">
		<input type="button" class="button" id="save" value="&nbsp;&nbsp;'.__('Add').'&nbsp;&nbsp;" onclick="menu(\'?com=content&task=menu&do=new&id='.$id.'&load_theme=no\', \'menu_createdLinks\');"></td></tr>';
		echo '</table></div>';
	}
	
	function menu_createdLinks($list) {
		$id = intval(AppleGetParam('id', $_GET, 0));
		echo '<div id="menu_createdLinks">'.(!empty($list) ? '- '.__('Created Links') : '').'
		<input type="hidden" id="count_menu" value="'.count($list).'">';
		if (!empty($list))
			foreach ($list as $link) {
				echo '<div id="menu_'.$link->id.'" style="padding:5px;">
					<a href="javascript:void(0)" onclick="if (confirm(\''.__('Are you sure you want to delete selected item?').'\')) go2(\'?com=content&task=menu&do=delete&od='.$link->id.'&load_theme=no\', \'menu_msg\');" title="'.__('Delete').'"><img src="images/delete_small.gif"></a> <a href="'.AppleMakeSef(settings::get('url').'/?com=content&id='.$id.'&lng='.LANGUAGE).'" target=_blank>'.$link->title.'</a>
				</div>';
		}
		echo (!empty($list) ? '<hr style="width:80%;" size="1" color="#cccccc">' : '').'</div>';
	}
}
?>