<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

$section = AppleGetParam('section', $_GET, 'content');
$id = intval(AppleGetParam('id', $_GET, 0));
$cid = intval(AppleGetParam('cid', $_GET, 0));
$parts = AppleParseURI();
if ($parts[0] == 'content' && $section == 'content' && $id == 0 && $cid != 0) $section = 'category';
if ($parts[0] == 'content' && $parts[1] == 'cat') $section = 'category';
if ($id == 0 && $cid > 0) $id = $cid;

$Apple = ($section == 'content') ? new adminContent($parts, $id) : new adminCategory($parts, $id);

if ($Apple->_404) {
	include (Apple_root_path.'/admin/page404.php');
	return ;
}
$Apple->section = $section;

$id = intval(AppleGetParam('id', $_GET, 0));
$task = AppleGetParam('task', $_GET, 'view');
if ($id != null && $task == 'new') $task = 'edit';
switch ($task) {
	case 'new':
	case 'edit':
		if (!$_POST) {
			if ($section == 'content') HTML::form($task, $Apple->form($task, $id));
			else categoryHTML::form($task, $Apple->form($task, $id));
		}
		else {
			if ($Apple->save($task)) AppleRedirect('?com=content&section='.$section.'&lng='.LANGUAGE);
			else {
				if ($section == 'content') HTML::form($task, $Apple->form($task, $id));
				else categoryHTML::form($task, $Apple->form($task, $id));
			}
		}
		break;
	case 'delete':
		$Apple->delete();
		if (!AppleAjaxRequest()) AppleGoBack();
		break;
	case 'publish':
		$Apple->publish(1);
		view($Apple);
		break;
	case 'unpublish':
		$Apple->publish(0);
		view($Apple);
		break;
	case 'menu':
		$Apple->menu();
		break;
	case 'addmenu':
		$Apple->addMenu();
		break;
	case 'reorder':
		$Apple->reOrder();
		if (!AppleAjaxRequest()) AppleGoBack();
		break;
	default: view($Apple);
}

function view($Apple) {
	list($list, $pageNav) = $Apple->view();
	$display = $Apple->section == 'content' ? new HTML() : new categoryHTML();
	$display->view($list, $pageNav);
}

?>