<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

class filesHTML {
	
	function __construct() {
		AppleSetPath(__('File Manager'));
		echo '<script type="text/javascript" src="components/files/ajax.js"></script>';
	}
	
	function view() {
		echo '<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td width="33%" valign="top">
						<table cellpadding="0" cellspacing="0" border="0" width="100%">
							<tr>
								<td class="td-header-r">&nbsp;</td><td class="td-header">'.__('Details').'....</td><td class="td-header-l">&nbsp;</td>
							</tr>
							<tr>
								<td class="td-body-r">&nbsp;</td>
								<td class="td-body" style="padding:5px; text-align:'.(settings::get('direction') == 'rtl' ? 'right' : 'left').';" valign="top">
									<div id="operations">
										
									</div>
									<div  id="fm_details"></div>
								</td>
								<td class="td-body-l">&nbsp;</td>
							</tr>
							<tr>
								<td class="td-footer-r">&nbsp;</td><td class="td-footer">&nbsp;</td><td class="td-footer-l">&nbsp;</td>
							</tr>
						</table>
					</td>
					<td width="67%" valign="top">
						<table cellpadding="0" cellspacing="0" border="0" width="94%" align="left">
							<tr>
								<td class="td-header-r">&nbsp;</td><td class="td-header">&nbsp;</td><td class="td-header-l">&nbsp;</td>
							</tr>
							<tr>
								<td class="td-body-r">&nbsp;</td>
								<td class="td-body" id="fm_list" style="padding:10px;" valign="top">';
									$this->viewList(); 
								echo '</td>
								<td class="td-body-l">&nbsp;</td>
							</tr>
							<tr>
								<td class="td-footer-r">&nbsp;</td><td class="td-footer">&nbsp;</td><td class="td-footer-l">&nbsp;</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>';
	}
	
	function viewList() {
		$fm = fileManager::getInstance();
		
		$list = $fm->getList();
		$directories = $list[0];
		$files = $list[1];
		
		$path = $fm->get('path');
		echo '<div style="text-align:left; direction:ltr;">'.__('Current Path').' : /'.$path.'</div>
		<div style="text-align:left; direction:rtl;">
			<a href="javascript:void(0)" onclick="Clear(\'fm_details\'); go(\'?com=files&task=side_form&form=create_file&path='.$path.'&load_theme=no&lng='.LANGUAGE.'\', \'operations\');">'.__('Create new file').' <img src="images/new-file.png" alt=""></a> |
			<a href="javascript:void(0)" onclick="Clear(\'fm_details\'); go(\'?com=files&task=side_form&form=create_folder&path='.$path.'&load_theme=no&lng='.LANGUAGE.'\', \'operations\');">'.__('Create new folder').' <img src="images/new-folder.png" alt=""></a> |
			<a href="javascript:void(0)" onclick="Clear(\'fm_details\'); go(\'?com=files&task=side_form&form=upload&path='.$path.'&load_theme=no&lng='.LANGUAGE.'\', \'operations\');">'.__('Upload files').' <img src="images/up.png" alt="">'.$fm->get('up').'</a>
		</div>';
		
		$i = 0;
		echo '<table cellpadding="0" cellspacing="0" class="list" style="margin-top:10px; width:100%; text-align:left; direction:ltr;">
		<tr>
			<th width="50%">'.__('Name').'</th>
			<th style="text-align:center;" width="25%">'.__('File size').' </th>
			<th style="text-align:center;" width="25%">'.__('Last modified').'</th>
		</tr>
		';
		while ($directories != null) {
			$dir = array_shift($directories);
			$size = filesize($fm->get('absolutePath').'/'.$dir);
			if ($size > 1024 && $size < 1048576) {round($size /= 1024); $size = number_format($size, 2).' KB';}
			elseif ($size > 1048576) {$size /= 1048576; $size = number_format($size, 2).' MB';}
			else $size = number_format($size, 2).' B';
			echo '<tr'; if ((++$i)%2 == 0)  echo ' class="signed2"'; echo ' 
			onclick="Clear(\'operations\'); go(\'?com=files&path='.$path.'&file='.$dir.'&task=details&load_theme=no&lng='.LANGUAGE.'\', \'fm_details\');"
			ondblclick="Clear(\'operations\'); go(\'?com=files&path='.$path.'/'.$dir.'&task=go&load_theme=no&lng='.LANGUAGE.'\', \'fm_list\');">
			<td style="width:15px; padding:4px; text-align:left;"><img src="images/folder.png" alt=" "> '.$dir.'</td>
			<td style="text-align:center;">'.$size.'</td>
			<td style="text-align:center;">'.AppleDate(null, "Y-m-d", filectime($fm->get('absolutePath').'/'.$dir)).'</td>
			</tr>';
		}
		
		while ($files != null) {
			$file = array_shift($files);
			$size = filesize($fm->get('absolutePath').'/'.$file);
			if ($size > 1024 && $size < 1048576) {$size /= 1024; $size .= ' KB';}
			elseif ($size > 1048576) {$size /= 1048576; $size .= ' MB';}
			else $size .= ' B';
			echo '<tr'; if ((++$i)%2 == 0)  echo ' class="signed2"'; echo ' onclick="Clear(\'operations\'); go(\'?com=files&path='.$path.'&file='.$file.'&task=details&load_theme=no&lng='.LANGUAGE.'\', \'fm_details\');">
			<td style="width:15px; padding:4px; text-align:left;">
			<img src="images/file.png" alt="">&nbsp;'.$file.'</td>
			<td style="text-align:center;">'.$size.'</td>
			<td style="text-align:center;">'.AppleDate(null, "Y-m-d", filectime($fm->get('absolutePath').'/'.$file)).'</td>
			</tr>';
		}
		
		echo '</table>';
		echo '<script>Clear(\'fm_details\');</script>';
		$this->details();
	}
	
	function details($type='dir') {
		global $task;
		$path = AppleGetParam('path', $_GET);
		if ($task != 'details') return ;
		
		echo '<style> .fm_details {padding:4px;} .fm_details a:hover {text-decoration:underline;} </style>';
		
		$fm = fileManager::getInstance();
		if ($type == 'dir') {
			echo '<B> '.$fm->get('file').'</B><br>
			<div class="fm_details"><a href="javascript:void(0)" onclick="Clear(\'fm_details\'); Clear(\'operations\'); go(\'?com=files&path='.$path.'/'.$fm->get('file').'&task=go&load_theme=no&lng='.LANGUAGE.'\', \'fm_list\');">'.__('Open this directory').'</a></div>
			<div class="fm_details"><a href="javascript:void(0)" onclick="Clear(\'fm_details\'); Clear(\'operations\'); go(\'?com=files&task=side_form&form=rename&path='.$path.'&file='.$fm->get('file').'&load_theme=no&lng='.LANGUAGE.'\', \'operations\');">'.__('Rename').'</a></div>
			<div class="fm_details"><a href="javascript:void(0)" onclick="if (confirm(\''.__('Are you sure you want to delete this folder?').'\')) {Clear(\'fm_details\'); Clear(\'operations\'); go(\'?com=files&task=side_form&form=delete&path='.$path.'&file='.$fm->get('file').'&load_theme=no&lng='.LANGUAGE.'\', \'operations\');}">'.__('Delete').'</a></div>
			
			<div class="fm_details" style="text-align:left;"><br><a href="'.$fm->get('url').'/'.($path == null ? '' : $path.'/').$fm->get('file').'" target="_blank">'.$fm->get('url').'/'.($path == null ? '' : $path.'/').$fm->get('file').'</a></div>';
		}
		else {
			echo '&raquo; '.$fm->get('file').'<br>
			<div class="fm_details"><a href="javascript:void(0)" onclick="Clear(\'fm_details\'); Clear(\'operations\'); go(\'?com=files&task=side_form&form=rename&path='.$path.'&file='.$fm->get('file').'&load_theme=no&lng='.LANGUAGE.'\', \'operations\');">'.__('Rename').'</a></div>
			<div class="fm_details"><a href="javascript:void(0)" onclick="if (confirm(\''.__('are you sure you want to delete this file?').'\')) {Clear(\'fm_details\'); Clear(\'operations\'); go(\'?com=files&task=side_form&form=delete&path='.$path.'&file='.$fm->get('file').'&load_theme=no&lng='.LANGUAGE.'\', \'operations\');}">'.__('Delete').'</a></div>
			
			<div class="fm_details" style="text-align:left;"><br><a href="'.$fm->get('url').'/'.($path == null ? '' : $path.'/').$fm->get('file').'" target="_blank">'.$fm->get('url').'/'.($path == null ? '' : $path.'/').$fm->get('file').'</a></div>';
		}
	}
	
	function createFolder() {
		$path = AppleGetParam('path', $_GET);
		echo '<div id="create_folder">
			<script type="text/javascript">
			/* <![CDATA[ */
			fmMessages = {
				name_require : "'.__('Please enter folder name').'"
			}
			/* ]]> */
			</script>'.__('Create New Folder').'
			<form action="javascript:fmOperations(\'?com=files&task=side_form&form=create_folder&path='.$path.'&load_theme=no&lng='.LANGUAGE.'\', \'operations\');" method="POST"><input type="text" class="input" id="name"> <input type="submit" class="btn" value="'.__('Create').'"></form>
			</div>';
	}
	
	function createFile() {
		$path = AppleGetParam('path', $_GET);
		echo '<div id="create_file">
			<script type="text/javascript">
			/* <![CDATA[ */
			fmMessages = {
				name_require : "'.__('Enter file name').'"
			}
			/* ]]> */
			</script>'.__('Create new file').'
			<form action="javascript:fmOperations(\'?com=files&task=side_form&form=create_file&path='.$path.'&load_theme=no&lng='.LANGUAGE.'\', \'operations\');" method="POST"><input type="text" class="input" id="name"> <input type="submit" class="btn" value="'.__('Create').'"></form>
			</div>';
	}
	
	function rename($type) {
		$path = AppleGetParam('path', $_GET);
		$file = AppleGetParam('file', $_GET);
		
		echo '<div id="rename_folder">
			<script type="text/javascript">
			/* <![CDATA[ */
			fmMessages = {
				name_require : "'.__('Enter folder name').'"
			}
			/* ]]> */
			</script>'.__('Rename folder').'
			<form action="javascript:fmOperations(\'?com=files&task=side_form&form=rename&path='.$path.'&file='.$file.'&load_theme=no&lng='.LANGUAGE.'\', \'operations\');" method="POST"><input type="text" class="input" id="name"> <input type="submit" class="btn" value="'.__('Send').'"></form>
			</div>';
	}
	
	function upload() {
		$path = AppleGetParam('path', $_GET);
		echo '<iframe name="f" style="height:30px; border:0; padding:0; overflow:hidden;"></iframe>
		<form name="upload" id="upload" action="?com=files&task=side_form&form=upload&path='.$path.'&load_theme=no&lng='.LANGUAGE.'"  method="POST" enctype="multipart/form-data" target="f" onsubmit="this.form.submit(); return false;">
			<input type="file" name="f_1" id="f_1"><br>
			<input type="submit" name="submit" class="btn" value="'.__('Send').'">
			<label for="over">'.__('Overwrite?').'</label><input type="checkbox" name="over" id="over" value="yes">
		</form>';
	}
}
?>
