<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

$task = AppleGetParam('task', $_GET, 'view');
$id = AppleGetParam('id', $_GET, null);
$Apple = new manageLanguage();

if ($id != null && $task == 'new') $task = 'edit';

switch ($task) {
	case 'new':
	case 'edit':
		if (!$_POST) {
			languagesHTML::form($task, $Apple->form($task, $id));
		}
		else {
			if ($Apple->save($task)) AppleRedirect('?com=languages&lng='.LANGUAGE);
			else languagesHTML::form($task, $Apple->form($task, $id));
		}
		break;
	case 'delete':
		$Apple->delete();
		AppleGoBack();
		break;
	case 'translate':
		$file = AppleGetParam('file', $_GET, null);
		if ($file == null) {
			languagesHTML::files($Apple->files($id), $id);
		}
		else {
			if (!$_POST) {
				$path = Apple_root_path.'/languages/'.$id;
				languagesHTML::translate($file, $path);
			}
			else {
				if ($Apple->translate()) AppleRedirect('?com=languages&task=translate&id='.$id.'&lng='.LANGUAGE);
				else AppleRedirect('?com=languages&task=translate&id='.$id.'&lng='.LANGUAGE);
			}
		}
		break;
	default: view($Apple);
}

function view($Apple) {
	list($list, $pageNav) = $Apple->view();
	$display = new languagesHTML();
	$display->view($list, $pageNav);
}
?>