<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

AppleSetPath(__('Management Center'));
?>
<div style="background:#fcfcfc; border:1px solid #ddd; padding:5px; margin-bottom:10px;">
	<div style="width:350px;" id="right">
		<div class="menu closed" id="welcome" onclick="new AppleOpenCloseDiv(this, 'menu_1')"><?php _e('Welcome to Apple management center'); ?></div>
		<div style="background:#f9f9f9; border:1px solid #cbcbcb; border-top:0; padding:5px; display:none;" id="menu_1">
			<?php
			printf(__('Thank you for using Apple as your content management system. We hope you are able to create a successful Web site and maybe you will be able to give something back to the community later.<br /> <br />You can get the latest Components, Modules and Theme packages from %s<br /><br />If you have questions then take a look on our %s which most likely the biggest resource on Apple there is and you will find almost every question answered at least once, so please try using  the search function before asking your question.<br /> <br />We hope you have much fun and success with Apple and hope to see you in the forum among the hundreds and thousands of contributors.<br /> <br />Your Apple team :)'), '<a href="http://www.Applecms.org" style="color:#3a4a8f;">'.__('Apple Web site').'</a>', '<a href="http://forums.Applecms.org" style="color:#3a4a8f;" target="_blank" target="_blank">'.__('Our Forums').'</a>');
			?>
		</div>
		
		<div class="menu closed" onclick="new AppleOpenCloseDiv(this, 'menu_2')"><?php _e('Apple latest news'); ?></div>
		<div style="background:#f9f9f9; border:1px solid #cbcbcb; border-top:0; padding:5px; display:none;" id="menu_2">
			<div id="Apple_latest_news"><script type="text/javascript">getAppleLatestNews('http://www.Applecms.org?com=latest_news&lng=<?php echo LANGUAGE; ?>', 'Apple_latest_news');</script></div>
		</div>
		
		<div class="menu closed" onclick="new AppleOpenCloseDiv(this, 'menu_3')"><?php _e('Latest Contents'); ?></div>
		<div style="background:#f9f9f9; border:1px solid #cbcbcb; border-top:0; padding:5px; display:none;" id="menu_3">
			<?php AppleAdminTheme::loadModule('latest_contents'); ?>
		</div>
		
		<div class="menu closed" onclick="new AppleOpenCloseDiv(this, 'menu_4')"><?php _e('Most Viewed'); ?></div>
		<div style="background:#f9f9f9; border:1px solid #cbcbcb; border-top:0; padding:5px; display:none;" id="menu_4">
			<?php AppleAdminTheme::loadModule('most_viewed'); ?>
		</div>
		
		<div class="menu closed" onclick="new AppleOpenCloseDiv(this, 'menu_5')"><?php _e('Latest Messages'); ?></div>
		<div style="background:#f9f9f9; border:1px solid #cbcbcb; border-top:0; padding:5px; display:none;" id="menu_5">
			<?php AppleAdminTheme::loadModule('latest_messages'); ?>
		</div>
	</div>
	<div id="left"><?php AppleAdminTheme::loadModule('cpanel'); ?></div>
	<div class="clear"></div>
</div>
<script type="text/javascript">new AppleOpenCloseDiv($('welcome'), 'menu_1');</script>