<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

$section = AppleGetParam('section', $_GET, 'menu');
$Apple = $section == 'items' ? new item() : new menu();
$Apple->section = $section;
$task = AppleGetParam('task', $_GET, 'view');
$id = intval(AppleGetParam('id', $_GET, 0));
if ($id != null && $task == 'new') $task = 'edit';

switch ($task) {
	case 'new':
	case 'edit':
		if (!$_POST) {
			if ($section == 'items') itemsHTML::form($task, $Apple->form($task, $id));
			else menuHTML::form($task, $Apple->form($task, $id));
		}
		else {
			if ($Apple->save($task)) AppleRedirect('?com=menu'.($section=='items'?'&section=items&id='.AppleGetParam('menu', $_GET) : '').'&lng='.LANGUAGE);
			else {
				if ($section == 'items') itemsHTML::form($task, $Apple->form($task, $id));
				else menuHTML::form($task, $Apple->form($task, $id));
			}
		}
		break;
	case 'delete':
		$Apple->delete();
		if (!AppleAjaxRequest()) AppleGoBack();
		break;
	case 'publish':
		$Apple->publish(1);
		view($Apple);
		break;
	case 'unpublish':
		$Apple->publish(0);
		view($Apple);
		break;
	case 'reorder':
		$Apple->reOrder();
		if (!AppleAjaxRequest()) AppleGoBack();
		break;
	default: view($Apple);
}

function view($Apple) {
	list($list, $pageNav) = $Apple->view();
	$display = $Apple->section == 'items' ? new itemsHTML() : new menuHTML();
	$display->view($list, $pageNav);
}
?>