<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

if (!empty($_POST['save'])) submit();
AppleSetPath(__('Site Settings'));

?>
<script type="text/javascript" language="javascript" src="../kernel/js/tabpane/tabpane.js"></script>
<link rel="stylesheet" type="text/css" href="../kernel/js/tabpane/tabpane.css" />

<form action="" method="POST">

<table width="100%">
<tr><td>
<div class="tab-page" id="settings">
<script type="text/javascript">var tabPane1 = new WebFXTabPane($("settings"), 1);</script>

<div class="tab-page" id="tab1"><h2 class="tab"><?php _e('Public'); ?></h2>
<script type="text/javascript"> tabPane1.addTabPage($("tab1"));</script>
<table cellpadding="2" cellspacing="0" border="0">
<tr>
<td><?php _e('Title'); ?> :</td>
<td><input type="text" class="input" name="title" value="<?php echo settings::get('title'); ?>"></td>
</tr>
<tr>
<td><?php _e('url'); ?>:</td>
<td><input type="text" class="input" style="width:200px;" name="url" value="<?php echo settings::get('url'); ?>" dir="ltr"></td>
</tr>
<tr>
<td><?php _e('Site Name'); ?>:</td>
<td><input type="text" class="input" name="name" value="<?php echo settings::get('name'); ?>"></td>
</tr>
<tr>
<td><?php _e('Description'); ?>:</td>
<td><input type="text" class="input" name="description" value="<?php echo settings::get('description'); ?>"></td>
</tr>
<tr>
<td><?php _e('Keywords'); ?>:</td>
<td><input type="text" class="input" name="keywords" value="<?php echo settings::get('keywords'); ?>"></td>
</tr>
<tr>
<td><?php _e('Copyright'); ?>:</td>
<td><textarea class="input" name="copyright" style="width:250px; height:100px;" dir="ltr"><?php echo settings::get('copyright'); ?></textarea></td>
</tr>
<tr>
<td colspan="2">
<?php echo AppleHTML::makeSubmitButton('save', 'value="'.__('Save').'"'); ?> 
<?php echo AppleHTML::makeResetButton('id="cancel"'); ?>
</td>
</tr>
</table>
</div>

<div class="tab-page" id="tab2"><h2 class="tab"><?php _e('Date Time'); ?></h2>
<script type="text/javascript"> tabPane1.addTabPage($("tab2"));</script>

<table cellpadding="2" cellspacing="0" border="0">
<tr>
<td><?php _e('Date Type'); ?> :</td>
<td>
<select class="input" name="date_type">
<?php $type = settings::get('date_type'); ?>
<option value="jalali" <?php if ($type == 'jalali') echo 'selected="selected"'; ?>><?php _e('Jalali'); ?></option>
<option value="gregorian" <?php if ($type == 'gregorian') echo 'selected="selected"'; ?>><?php _e('Gregorian'); ?></option>
</select>
</td>
</tr>
<tr>
<td><?php _e('Date Format'); ?>:</td>
<td><input type="text" class="input" name="date_format" value="<?php echo settings::get('date_format'); ?>" dir="ltr"></td>
</tr>
<tr>
<td><?php _e('Time Format'); ?>:</td>
<td><input type="text" class="input" name="time_format" value="<?php echo settings::get('time_format'); ?>" dir="ltr"></td>
</tr>
<tr>
<td><?php _e('GMT Offset'); ?>:</td>
<td><input type="text" class="input" name="gmt_offset" value="<?php echo settings::get('gmt_offset'); ?>" dir="ltr"></td>
</tr>
<tr>
<td><?php _e('Show dates in farsi?'); ?></td>
<td>
<input type="radio" name="translate" value="1" <?php if (settings::get('translate') == 1) echo 'checked="checked"'; ?>> <?php _e('Yes'); ?>
<input type="radio" name="translate" value="0" <?php if (settings::get('translate') == 0) echo 'checked="checked"'; ?>> <?php _e('No'); ?>
</td>
</tr>
<tr>
<td colspan="2">
<?php echo AppleHTML::makeSubmitButton('save', 'value="'.__('Save').'"'); ?> 
<?php echo AppleHTML::makeResetButton('id="cancel"'); ?>
</td>
</tr>
</table>
</div>

<div class="tab-page" id="tab3"><h2 class="tab"><?php _e('Contact'); ?></h2>
<script type="text/javascript"> tabPane1.addTabPage($("tab3"));</script>

<table cellpadding="2" cellspacing="0" border="0">
<tr>
<td><?php _e('Mailer'); ?> :</td>
<td>
<select class="input" name="mailer">
<?php $type = settings::get('mailer'); ?>
<option value="mail" <?php if ($type == 'mail') echo 'selected="selected"'; ?>>Mail</option>
</select>
</td>
</tr>
<tr>
<td><?php _e('Type'); ?>:</td>
<td>
<select class="input" name="contact">
<?php $type = settings::get('contact'); ?>
<option value="0" <?php if ($type == 0) echo 'selected="selected"'; ?>><?php _e('E-Mail'); ?></option>
<option value="1" <?php if ($type == 1) echo 'selected="selected"'; ?>><?php _e('System'); ?></option>
<option value="2" <?php if ($type == 2) echo 'selected="selected"'; ?>><?php _e('Both'); ?></option>
</select>
</td>
</tr>
<tr>
<td colspan="2">
<?php echo AppleHTML::makeSubmitButton('save', 'value="'.__('Save').'"'); ?> 
<?php echo AppleHTML::makeResetButton('id="cancel"'); ?>
</td>
</tr>
</table>
</div>

</div>
</td></tr></table>

</form>
<?php
function submit() {
	global $database;
	$obj = new stdClass();
	$obj->title = AppleGetParam('title', $_POST, null);
	$obj->url = AppleGetParam('url', $_POST, null);
	$obj->name = AppleGetParam('name', $_POST, null);
	$obj->description = AppleGetParam('description', $_POST, null);
	$obj->keywords = AppleGetParam('keywords', $_POST, null);
	$obj->copyright = AppleGetParam('copyright', $_POST, null, _MOS_ALLOWHTML);
	$obj->dateType = AppleGetParam('date_type', $_POST, null);
	$obj->dateFormat = AppleGetParam('date_format', $_POST, null);
	$obj->timeFormat = AppleGetParam('time_format', $_POST, null);
	$obj->gmtOffset = AppleGetParam('gmt_offset', $_POST, null);
	$obj->translate = AppleGetParam('translate', $_POST, null);
	$obj->mailer = AppleGetParam('mailer', $_POST, null);
	$obj->contact = AppleGetParam('contact', $_POST, null);
	
	$settings = new settings();
	$message = AppleMessage::getInstance();
	
	foreach (get_object_vars($obj) as $k=>$v) {
		if (!$settings->set($k, $v)) {
			$message->add('error', __('unknown_error'));
			AppleGoBack();
		}
	}
	$message->add('success', __('Changes updated successfully'));
	AppleGoBack();
}
?>