<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

class AM__menu {
	function __construct() {
		
?>
<script type="text/javascript" src="../kernel/js/JSCookMenu/JSCookMenu.js"></script>
<script type="text/javascript" src="../kernel/js/JSCookMenu/theme.js"></script>
<link rel="stylesheet" type="text/css" href="modules/menu/theme.css">
<div id="menu">
<script language="JavaScript">
	<!--
	cmThemeGray.mainFolderRight= '';
	var myMenu =[
	<?php
	echo '["&nbsp;","'.__('Home Page').'", "'.AppleMakeSef('?lng='.LANGUAGE).'", "_self", "'.__('Home Page').'"],_cmSplit,
	["&nbsp;","'.__('Moderation').'", null, null, "'.__('Moderation').'",
		["<img src=\'../images/home.png\' />","'.__('Home Page').'", "'.AppleMakeSef('?com=home_page&lng='.LANGUAGE).'", "_self", "'.__('Home Page').'"],
		["<img src=\'../images/content.png\' />","'.__('Content').'", null, null, "'.__('Content').'",
			["<img src=\'../images/categories.png\' />","'.__('Categories').'", "'.AppleMakeSef('?com=content&section=category&lng='.LANGUAGE).'", "_self", "'.__('Categories').'"],
			["<img src=\'../images/content.png\' />","'.__('Content').'", "'.AppleMakeSef('?com=content&lng='.LANGUAGE).'", "_self", "'.__('Content').'"],
		],
		["<img src=\'../images/menu.png\'>","'.__('Menu Management').'", "'.AppleMakeSef('?com=menu&lng='.LANGUAGE).'", "_self", "'.__('Menu Management').'"],
		["<img src=\'../images/file-manager.gif\' />","'.__('File Manager').'", "'.AppleMakeSef('?com=files&lng='.LANGUAGE).'", "_self", "'.__('File Manager').'"],
		["<img src=\'../images/component.png\' />","'.__('Languages Management').'", "'.AppleMakeSef('?com=languages&lng='.LANGUAGE).'", "_self", "'.__('Languages Management').'"],
		["<img src=\'../images/component.png\' />","'.__('Banners').'", null, null, "'.__('Banners').'",
			["<img src=\'../images/users.png\' />","'.__('Users Management').'", "'.AppleMakeSef('?com=banner&section=users&lng='.LANGUAGE).'", "_self", "'.__('Users Management').'"],
			["<img src=\'../images/content.png\' />","'.__('Banners Management').'", "'.AppleMakeSef('?com=banner&lng='.LANGUAGE).'", "_self", "'.__('Banners Management').'"],
		],
		["<img src=\'../images/theme.png\' />","'.__('Themes Management').'", null, null, "'.__('Themes Management').'",
			["<img src=\'../images/theme.png\' />","'.__('Client Themes').'", "'.AppleMakeSef('?com=themes&lng='.LANGUAGE).'", "_self", "'.__('Client Themes').'"],
			["<img src=\'../images/theme.png\' />","'.__('Admin Themes').'", "'.AppleMakeSef('?com=themes&user=admin&lng='.LANGUAGE).'", "_self", "'.__('Admin Themes').'"],
			["<img src=\'../images/module.png\' />","'.__('Modules Positions').'", "'.AppleMakeSef('?com=themes&task=positions&lng='.LANGUAGE).'", "_self", "'.__('Modules Positions').'"],
		],
	],_cmSplit,
	["&nbsp;","'.__('Components').'", null, null, "'.__('Components').'",';
		
		global $database;
		$database->setQuery("SELECT name FROM `#__components`");
		$list = $database->loadObjectList();
		foreach ($list as $component) {
			if (file_exists(settings::get('root_path').'/admin/components/'.$component->name.'/menu.php')) {
				require_once(settings::get('root_path').'/admin/components/'.$component->name.'/menu.php');
				$level = 0;
				foreach ($menu as $item) {
					if ($item[4] > $level) {
						if ($level != 0) echo ',';
						$level++;
						echo '["'.str_replace('"', '\'', $item[3]).'", "'.$item[1].'", "'.AppleMakeSef($item[0]).'", "'.$item[2].'", "'.$item[1].'"';
					}
					elseif ($item[4] == $level) echo '],
					["'.str_replace('"', '\'', $item[3]).'", "'.$item[1].'", "'.AppleMakeSef($item[0]).'", "'.$item[2].'", "'.$item[1].'"';
					elseif ($item[4] < $level) {
						for ($i=0; $i<=($level-$item[4]); $i++) {
							echo '],
							';
						}
						echo '["'.str_replace('"', '\'', $item[3]).'", "'.$item[1].'", "'.AppleMakeSef($item[0]).'", "'.$item[2].'", "'.$item[1].'"';
						$level = $item[4];
					}
				}
				for ($i=0; $i<$level; $i++) {
					echo '],';
				}
			}
		}
		
	echo '],_cmSplit,
	["&nbsp;","'.__('Modules').'", "'.AppleMakeSef('?com=modules&lng='.LANGUAGE).'", "_self", "'.('Modules').'"],_cmSplit,
	["&nbsp;","'.__('Messages').'", "'.AppleMakeSef('?com=contact&lng='.LANGUAGE).'", "_self", "'.('Messages').'",
		["<img src=\'../images/messaging_inbox.png\' />","'.__('Messages').'", "'.AppleMakeSef('?com=contact&lng='.LANGUAGE).'", "_self", "'.('Messages').'"],
		["<img src=\'../images/settings.png\' />","'.__('Messages Settings').'", "'.AppleMakeSef('?com=contact&lng='.LANGUAGE).'", "_self", "'.('Messages Settings').'"],
	],_cmSplit,
	["&nbsp;","'.__('Settings').'", "'.AppleMakeSef('?com=settings&lng='.LANGUAGE).'", "_self", "'.('Settings').'"],_cmSplit,
	["&nbsp;","'.__('Profile').'", "'.AppleMakeSef('?com=profile&lng='.LANGUAGE).'", "_self", "'.('Profile').'"],_cmSplit,
	["&nbsp;","'.__('Logout').'", "'.AppleMakeSef('?com=login&task=logout').'", "_self", "'.('Logout').'"],';
	?>	
]
-->
	</script>

<script language = "JavaScript">
<!--
 cmDraw ( 'menu', myMenu, 'hbl', cmThemeGray, 'ThemeGray', '1' );
-->
</script>
</div>
<?php
	}
}
?>