<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

$email = AppleGetParam('email', $_POST);
AppleSetTitle(__('Contact Us'));
AppleSetPath(__('Contact Us'));

if ($email == null) {
	$_SESSION['code'] = strtolower(substr(AppleGeneratePassword(), 0, 4));
	contactHTML::form();
}
else {
	$name = AppleGetParam('name', $_POST, null);
	$email = AppleGetParam('email', $_POST, null);
	$subject = AppleGetParam('subject', $_POST, null);
	$message = AppleGetParam('message', $_POST, null);
	$code = AppleGetParam('code', $_POST, null);
	$date = AppleDate(null, 'Y-m-d H:i:s', 0, 0);
	$gdate = AppleConvertToGregorian($date);
	
	if ($name == null) { echo AppleShowMessage(__('Please enter your name.'), 1, 2); return;}
	if ($subject == null) { echo AppleShowMessage(__('Please enter your contact subject.'), 1, 2); return;}
	if ($message == null) { echo AppleShowMessage(__('Please enter your message.'), 1, 2); return;}
	if ($code != $_SESSION['code']) { echo AppleShowMessage(__('Please enter security code.'), 1, 2); return;}
	
	$contact = settings::get('contact');
	
	if ($contact == 0) {
		$database->setQuery("INSERT INTO `#__contact` (name, subject, email, message, date) VALUES ('$name', '$subject', '$email', '$message', '$gdate')");
		if ($database->query()) echo AppleShowMessage(__('Your message sent.'), 0, 2);
		else echo AppleShowMessage(__('Message sending failed. Please Retry.'), 1, 2);
	}
	
	if ($contact == 1 || $contact == 2) { // mail it
		$database->setQuery("SELECT email FROM `#__users`");
		$to = $database->loadObject();
		$to = $to->email;
		$body = '<div style="background:#3d5683; color:#fff; padding:4px; border:1px solid #152749;direction:'.settings::get('direction').';">'.$subject.'</div>
		<div style="background:#fff; color:#000; padding:4px; border:1px solid #e5e5e5;direction:'.settings::get('direction').';">'.__('Sender').' : '.$name.' - '.$email.'<br>'.__('Date').' : '.$date.'<br>'.$message.'</div>';
		if (AppleMail($email, $name, $to, $subject, $body, true) && $contact != 2) echo AppleShowMessage(__('Your message sent.'), 0, 2);
		elseif ($contact != 2) echo AppleShowMessage(__('Message sending failed. Please Retry.'), 1, 2);
		
		if ($contact == 2) { // Now insert to database
			$database->setQuery("INSERT INTO `#__contact` (name, subject, email, message, date) VALUES ('$name', '$subject', '$email', '$message', '$gdate')");
			if ($database->query()) echo AppleShowMessage(__('Your message sent.'), 0, 2);
			else echo AppleShowMessage(__('Message sending failed. Please Retry.'), 1, 2);
		}
	}
}
?>