/*
 * ThemeGray by Ian Reyes and Heng Yuan
 */

// directory of where all the images are
var cmThemeGrayBase = '../images/';

var cmThemeGray =
{
	prefix:	'ThemeGray',
  	// main menu display attributes
  	//
  	// Note.  When the menu bar is horizontal,
  	// mainFolderLeft and mainFolderRight are
  	// put in <span></span>.  When the menu
  	// bar is vertical, they would be put in
  	// a separate TD cell.

  	// HTML code to the left of the folder item
  	mainFolderLeft: '&nbsp;',
  	// HTML code to the right of the folder item
  	mainFolderRight: '&raquo;',
	// HTML code to the left of the regular item
	mainItemLeft: '&nbsp;',
	// HTML code to the right of the regular item
	mainItemRight: '&nbsp;',

	// sub menu display attributes

	// 0, HTML code to the left of the folder item
	folderLeft: '<img alt="" src="' + cmThemeGrayBase + 'left.png">',
	// 1, HTML code to the right of the folder item
	folderRight: '<img alt="" src="' + cmThemeGrayBase + 'right.png">',
	// 2, HTML code to the left of the regular item
	itemLeft: '&nbsp;',
	// 3, HTML code to the right of the regular item
	itemRight: '&nbsp;',
	// 4, cell spacing for main menu
	mainSpacing: 0,
	// 5, cell spacing for sub menus
	subSpacing: 0,
	// 6, auto dispear time for submenus in milli-seconds
	delay: 700

	// rest use default settings
};

// for horizontal menu split
var cmThemeGrayHSplit = [_cmNoAction, '<td colspan="3"><div class="ThemeGrayMenuSplit"></div></td>'];
var cmThemeGrayMainHSplit = [_cmNoAction, '<td colspan="3"><div class="ThemeGrayMenuSplit"></div></td>'];
var cmThemeGrayMainVSplit = [_cmNoAction, '&nbsp;'];
