<?php
/**
 * @package Apple
 * @author Parsiserve Inc.
 * @copyright Parsiserve Inc. http://www.parsiserve.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

$now = appleGetNow();
$where = ($module->param->id > 0) ? 'cid IN ('.$module->param->id.') AND' : '';
$database->setQuery("SELECT * FROM `#__content` WHERE $where published='1' AND ((start<'".$now."') AND (end>'".$now."' OR end='0000-00-00 00:00:00')) AND lng='".LANGUAGE."' ORDER BY date DESC LIMIT ".$module->param->limit);
$list = $database->loadObjectList();

if (empty($list)) return ;
if ($module->param->details) {
	foreach ($list as $item) {
		if ($item->id == 0) break;
		appleSetKeywords($item->keywords);
		if (strstr($item->text, '<!-- pagebreak -->')) {
			$text = explode('<!-- pagebreak -->', $item->text);
			$text = $text[0];
		}
		else $text = substr($item->text, 0, 1600);
		$text .= '<br /><a href="'.appleMakeSef('?com=content&id='.$item->id.'&lng='.LANGUAGE).'">'.__('More').' &raquo;</a>';
		echo '<div class="content"><div class="content_top"><div class="content_title"><a href="'.appleMakeSef('?com=content&id='.$item->id.'&lng='.LANGUAGE).'">'.$item->title.'</a></div></div>
		<div class="content_body">
		'.$text.'
		</div>
		<div class="clearer">&nbsp;</div>
		</div>';
	}
	return ;
}

echo '<div class="'.$module->param->css.'">
<div class="'.$module->param->title_css.'">'.$module->title.'</div>
<div class="'.$module->param->body_css.'">
<ul>';
foreach ($list as $item) {
	$item->address = '?com=content&id='.$item->id.'&lng='.$item->lng;
	echo '<li><span class="link"><a href="'.appleMakeSef($item->address).'">'.$item->title.'</a></span></li>';
}
echo '</ul></div></div>';
?>