<?php
/**
 * @package Apple
 * @author Parsisoft Inc.
 * @copyright Parsisoft Inc.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see license.txt
 * Apple is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; version 2 of the License.
 */

defined('ACCESS_ALLOW') or die('<H1>Forbidden</H1>You are not allowed to be here<hr>');

class AM__latest_news {
	function __construct($module) {
		global $database;
		$now = appleGetNow();
		$where = ($module->param->id > 0) ? 'cid IN ('.$module->param->id.') AND' : '';
		$database->setQuery("SELECT * FROM `#__content` WHERE $where published='1' AND ((start<'".$now."') AND (end>'".$now."' OR end='0000-00-00 00:00:00')) AND lng='".LANGUAGE."' ORDER BY date DESC LIMIT ".$module->param->limit);
		$list = $database->loadObjectList();
		
		if (empty($list)) return ;
		echo '<div class="'.$module->param->css.'">
		<div class="'.$module->param->title_css.'"><img src="modules/latest_news/images/news.gif" style="vertical-align:middle;" /> '.$module->title.'</div>
		<div class="'.$module->param->body_css.'">';
		if ($module->param->details) {
			echo '<script type="text/javascript">
			//configure the below variable to change the contents of the scroller
			var messages = new Array();';
			reset($list);
			$id = 0;
			foreach ($list as $k) {
				$text = preg_replace("/\n|\r\n|\r$/", "<br />", addslashes(substr(strip_tags($k->text), 0, 370)));
				echo 'messages['.$id.'] = "<a href=\"'.appleMakeSef('?com=content&id='.$k->id.'&lng='.LANGUAGE).'\" style=\"font-weight:bold;\">'.$k->title.'</a><br /><span dir=\"ltr\">'.appleDate($k->start, 'Y-m-d', 0, 0).'</span><br />'.($text).(strlen($text) > 370 ? ' ....' : '').'";'."\n";
				$id++;
			}
			echo '</script>
			<script type="text/javascript" src="modules/latest_news/index.js"></script>
			<br /><a href="content/cat/news">'.__('News List').'</a>';
		}
		else {
			echo '<ul>';
			foreach ($list as $c) {
				echo '<li><a href="'.appleMakeSef('?com=content&id='.$c->id.'&lng='.LANGUAGE).'">'.substr($c->title, 0, $module->param->characters).' '.(strlen($c->title) > $module->param->characters ? '....' : '').'</a></li>';
			}
			echo '</ul>';
		}
		echo '</div>
		</div>';
	}
}
?>